/* Import plugin specific language pack */
tinyMCE.importPluginLanguagePack('aspimage', 'en,de,sv,zh_cn,cs,fa,fr_ca,fr,pl,pt_br,nl,he,nb,ru,ru_KOI8-R,ru_UTF-8,nn,cy,es,is,zh_tw,zh_tw_utf8,sk');

function TinyMCE_aspimage_getInfo() {
	return {
		longname : 'ASP image',
		author : 'Erik Oosterwaal',
		authorurl : 'http://www.precompiled.com',
		infourl : 'http://www.precompiled.com/programming',
		version : tinyMCE.majorVersion + "." + tinyMCE.minorVersion
	};
};

function TinyMCE_aspimage_getControlHTML(control_name) {
	switch (control_name) {
		case "image":
			var cmd = 'tinyMCE.execInstanceCommand(\'{$editor_id}\',\'mceaspimage\');return false;';
			return '<a href="javascript:' + cmd + '" onclick="' + cmd + '" target="_self" onmousedown="return false;"><img id="{$editor_id}_aspimage" src="{$themeurl}/images/image.gif" border="0" title="{$lang_image_desc}" width="20" height="20" class="mceButtonNormal" onmouseover="tinyMCE.switchClass(this,\'mceButtonOver\');" onmouseout="tinyMCE.restoreClass(this);" onmousedown="tinyMCE.restoreClass(this);" /></a>';
	}

	return "";
}

function TinyMCE_aspimage_execCommand(editor_id, element, command, user_interface, value) {
	switch (command) {
		case "mceaspimage":
			var template = new Array();

			template['file']   = '../../plugins/aspimage/image.asp';
			template['width']  = 640;
			template['height'] = 390;

			// Language specific width and height addons
			template['width']  += tinyMCE.getLang('lang_aspimage_delta_width', 0);
			template['height'] += tinyMCE.getLang('lang_aspimage_delta_height', 0);

			var inst = tinyMCE.getInstanceById(editor_id);
			var elm = inst.getFocusElement();

			if (elm != null && tinyMCE.getAttrib(elm, 'class').indexOf('mceItem') != -1)
				return true;

			tinyMCE.openWindow(template, {editor_id : editor_id, inline : "yes"});

			return true;
	}

	return false;
}

function TinyMCE_aspimage_cleanup(type, content) {
	switch (type) {
		case "insert_to_editor_dom":
			var imgs = content.getElementsByTagName("img");
			for (var i=0; i<imgs.length; i++) {
				var onmouseover = tinyMCE.cleanupEventStr(tinyMCE.getAttrib(imgs[i], 'onmouseover'));
				var onmouseout = tinyMCE.cleanupEventStr(tinyMCE.getAttrib(imgs[i], 'onmouseout'));

				if ((src = tinyMCE.getImageSrc(onmouseover)) != "") {
					if (tinyMCE.getParam('convert_urls'))
						src = tinyMCE.convertRelativeToAbsoluteURL(tinyMCE.settings['base_href'], src);

					imgs[i].setAttribute('onmouseover', "this.src='" + src + "';");
				}

				if ((src = tinyMCE.getImageSrc(onmouseout)) != "") {
					if (tinyMCE.getParam('convert_urls'))
						src = tinyMCE.convertRelativeToAbsoluteURL(tinyMCE.settings['base_href'], src);

					imgs[i].setAttribute('onmouseout', "this.src='" + src + "';");
				}
			}
			break;

		case "get_from_editor_dom":
			var imgs = content.getElementsByTagName("img");
			for (var i=0; i<imgs.length; i++) {
				var onmouseover = tinyMCE.cleanupEventStr(tinyMCE.getAttrib(imgs[i], 'onmouseover'));
				var onmouseout = tinyMCE.cleanupEventStr(tinyMCE.getAttrib(imgs[i], 'onmouseout'));

				if ((src = tinyMCE.getImageSrc(onmouseover)) != "") {
					if (tinyMCE.getParam('convert_urls'))
						src = eval(tinyMCE.settings['urlconverter_callback'] + "(src, null, true);");

					imgs[i].setAttribute('onmouseover', "this.src='" + src + "';");
				}

				if ((src = tinyMCE.getImageSrc(onmouseout)) != "") {
					if (tinyMCE.getParam('convert_urls'))
						src = eval(tinyMCE.settings['urlconverter_callback'] + "(src, null, true);");

					imgs[i].setAttribute('onmouseout', "this.src='" + src + "';");
				}
			}
			break;
	}

	return content;
}

function TinyMCE_aspimage_handleNodeChange(editor_id, node, undo_index, undo_levels, visual_aid, any_selection) {
	tinyMCE.switchClassSticky(editor_id + '_aspimage', 'mceButtonNormal');

	if (node == null)
		return;

	do {
		if (node.nodeName == "IMG" && tinyMCE.getAttrib(node, 'class').indexOf('mceItem') == -1)
			tinyMCE.switchClassSticky(editor_id + '_aspimage', 'mceButtonSelected');
	} while ((node = node.parentNode));

	return true;
}
