<!--#include file="../../vsadmin/db_conn_open.asp"-->
<%
'=========================================
'This code is copyright (c) Hanley's Computer Services, all rights reserved.
'The contents of this file are protect under law as the intellectual property
'of Hanley's Computer Services. Any use, reproduction, disclosure or copying
'of any kind without the express and written permission of Hanley's Computer 
'Services is forbidden.
'Author: Gary Hanley, info@hcsfixit.com
'Ensure a new copy of the page every time
RESPONSE.EXPIRES=-1
RESPONSE.BUFFER=TRUE

Dim strDFName
Dim strErrorAdditionalInfo

'Create the file uploading object
DIM oUpload
SET oUpload = SERVER.CREATEOBJECT("Persits.Upload.1")
oUpload.OverwriteFiles = TRUE
ON ERROR RESUME NEXT
If UploadDir = "" then UploadDir = "\uploads\images"
If thumbwidth = "" then thumbwidth = 150
oUpload.SAVE SERVER.MAPPATH(UploadDir)
IF ( Err.NUMBER>0 ) THEN
	strDataAction = REQUEST("DataAction")
ELSE
	strDataAction = Trim(oUpload.FORM("DataAction"))
END IF
ON ERROR GOTO 0

'********************************************************
'
' EDIT HERE: Change the name of this variable throughout
' this page (find/replace), for each table
'
'********************************************************
strDFName = "rsNews"

'---- FieldAttributeEnum Values ----
Const adFldUpdatable = &H00000004
Const adFldUnknownUpdatable = &H00000008
Const adFldIsNullable = &H00000020

'---- CursorTypeEnum Values ----
Const adOpenForwardOnly = 0
Const adOpenKeyset = 1
Const adOpenDynamic = 2
Const adOpenStatic = 3

'---- DataTypeEnum Values ----
Const adUnsignedTinyInt = 17
Const adBoolean = 11
Const adDate = 7
Const adDBDate = 133
Const adDBTime = 134
Const adDBTimeStamp = 135
Const adBSTR = 8
Const adChar = 129
Const adVarChar = 200
Const adLongVarChar = 201
Const adWChar = 130
Const adVarWChar = 202
Const adLongVarWChar = 203
Const adBinary = 128
Const adVarBinary = 204
Const adLongVarBinary = 205

'---- Error Values ----
Const errInvalidPrefix = 20001		'Invalid wildcard prefix
Const errInvalidOperator = 20002	'Invalid filtering operator
Const errInvalidOperatorUse = 20003	'Invalid use of LIKE operator
Const errNotEditable = 20011		'Field not editable
Const errValueRequired = 20012		'Value required

'-------------------------------------------------------------------------------
' Purpose:  Substitutes Null for Empty
' Inputs:   varTemp	- the target value
' Returns:	The processed value
'-------------------------------------------------------------------------------

Function RestoreNull(varTemp)
	If Trim(varTemp) = "" Then
		RestoreNull = Null
	Else
		RestoreNull = varTemp
	End If
End Function

Sub RaiseError(intErrorValue, strFieldName)
	Dim strMsg	
	Select Case intErrorValue
		Case errInvalidPrefix
			strMsg = "Wildcard characters * and % can only be used at the end of the criteria"
		Case errInvalidOperator
			strMsg = "Invalid filtering operators - use <= or >= instead."
		Case errInvalidOperatorUse
			strMsg = "The 'Like' operator can only be used with strings."
		Case errNotEditable
			strMsg = strFieldName & " field is not editable."
		Case errValueRequired
			strMsg = "A value is required for " & strFieldName & "."
	End Select
	Err.Raise intErrorValue, "DataForm", strMsg
End Sub

'-------------------------------------------------------------------------------
' Purpose:  Converts to subtype of string - handles Null cases
' Inputs:   varTemp	- the target value
' Returns:	The processed value
'-------------------------------------------------------------------------------

Function ConvertToString(varTemp)
	If IsNull(varTemp) Then
		ConvertToString = Null
	Else
		ConvertToString = CStr(varTemp)
	End If
End Function

'-------------------------------------------------------------------------------
' Purpose:  Tests to equality while dealing with Null values
' Inputs:   varTemp1	- the first value
'			varTemp2	- the second value
' Returns:	True if equal, False if not
'-------------------------------------------------------------------------------

Function IsEqual(ByVal varTemp1, ByVal varTemp2)
	IsEqual = False
	If IsNull(varTemp1) And IsNull(varTemp2) Then
		IsEqual = True
	Else
		If IsNull(varTemp1) Then Exit Function
		If IsNull(varTemp2) Then Exit Function
	End If
	If varTemp1 = varTemp2 Then IsEqual = True
End Function

'-------------------------------------------------------------------------------
' Purpose:  Tests whether the field in the recordset is required
' Assumes: 	That the recordset containing the field is open
' Inputs:   strFieldName	- the name of the field in the recordset
' Returns:	True if updatable, False if not
'-------------------------------------------------------------------------------

Function IsRequiredField(strFieldName)
	IsRequiredField = False
	If (rsNews(strFieldName).Attributes And adFldIsNullable) = 0 Then 
		IsRequiredField = True
	End If
End Function

'-------------------------------------------------------------------------------
' Purpose:  Tests whether the field in the recordset is updatable
' Assumes: 	That the recordset containing the field is open
' Effects:	Sets Err object if field is not updatable
' Inputs:   strFieldName	- the name of the field in the recordset
' Returns:	True if updatable, False if not
'-------------------------------------------------------------------------------

Function CanUpdateField(strFieldName)
	Dim intUpdatable
	intUpdatable = (adFldUpdatable Or adFldUnknownUpdatable)
	CanUpdateField = True
	If (rsNews(strFieldName).Attributes And intUpdatable) = False Then
		CanUpdateField = False
	End If
End Function

'-------------------------------------------------------------------------------
' Purpose:  Insert operation - updates a recordset field with a new value 
'			during an insert operation.
' Assumes: 	That the recordset containing the field is open
' Effects:	Sets Err object if field is not set but is required
' Inputs:   strFieldName	- the name of the field in the recordset
' Returns:	True if successful, False if not
'-------------------------------------------------------------------------------

Function InsertField(strFieldName, iFileType)
	DIM oFile, oJpeg

	InsertField = True

	'If the field is a file, treat it separately
	IF ( iFileType ) THEN
		IF ( NOT oUpload.FILES(strFieldName) IS NOTHING ) THEN
			SET oFile  = oUpload.FILES(strFieldName)
			rsNews(strFieldName) = oFile.EXTRACTFILENAME

			'Create a thumbnail if the image is a JPEG
			IF ( oFile.IMAGETYPE = "JPG" AND (UCASE(RIGHT(oFile.PATH,3))="JPG" OR UCASE(RIGHT(oFile.PATH,4))="JPEG") ) THEN
				SET oJpeg = SERVER.CREATEOBJECT("Persits.Jpeg")

				oJpeg.OPEN( oFile.PATH )
				IF ( oJpeg.ORIGINALWIDTH > thumbwidth ) THEN
					'Only alter the dimension if larger than required
					oJpeg.WIDTH  = thumbwidth
					oJpeg.HEIGHT = oJpeg.ORIGINALHEIGHT * (oJpeg.WIDTH / oJpeg.ORIGINALWIDTH)
				END IF
				sThumb = "thm_" & oFile.EXTRACTFILENAME

				oJpeg.SAVE SERVER.MAPPATH(UploadDir) & "\" & sThumb
			ELSE
				sThumb = oFile.EXTRACTFILENAME
			END IF
			rsNews("ThumbNail") = sThumb

			SET oFile = NOTHING
		END IF
	ELSE
	
	Select Case rsNews(strFieldName).Type
 		Case adBinary, adVarBinary, adLongVarBinary		'Binary
      Case adDate, adDBDate, adDBTime, adDBTimeStamp	  'Date/Time
			If CanUpdateField(strFieldName) Then
				If Not Len(Trim(oUpload.FORM(strFieldName & "dd")))=0 And Not Len(Trim(oUpload.FORM(strFieldName & "mm")))=0 And Not Len(Trim(oUpload.FORM(strFieldName & "yy")))=0 Then
					TempStr = RestoreNull(oUpload.FORM(strFieldName & "dd")) & "/" & RestoreNull(oUpload.FORM(strFieldName & "mm")) & "/" & RestoreNull(oUpload.FORM(strFieldName & "yy"))
               
					If IsRequiredField(strFieldName) Then
						RaiseError errValueRequired, strFieldName
						InsertField = False
						Exit Function
					End If

					If IsDate(TempStr) Then
						rsNews(strFieldName) = TempStr
					ELSE
						rsNews(strFieldName) = NULL
					END IF
				End If
			End If
		Case Else
			If CanUpdateField(strFieldName) Then
				If IsRequiredField(strFieldName) And IsNull(RestoreNull(oUpload.FORM(strFieldName))) Then
					RaiseError errValueRequired, strFieldName
					InsertField = False
					Exit Function
				End If				
				rsNews(strFieldName) = RestoreNull(oUpload.FORM(strFieldName))
			End If
	End Select
	END IF
End Function

'-------------------------------------------------------------------------------
' Purpose:  Update operation - updates a recordset field with a new value 
' Assumes: 	That the recordset containing the field is open
' Effects:	Sets Err object if field is not set but is required
' Inputs:   strFieldName	- the name of the field in the recordset
' Returns:	True if successful, False if not
'-------------------------------------------------------------------------------

Function UpdateField(strFieldName, iFileType)
	DIM oFile, oJpeg
	
	UpdateField = True

	'If the field is a file, treat it separately
	IF ( iFileType ) THEN

		IF ( NOT oUpload.FILES(strFieldName) IS NOTHING ) THEN
			SET oFile  = oUpload.FILES(strFieldName)
			rsNews(strFieldName) = oFile.EXTRACTFILENAME

			'Create a thumbnail if the image is a JPEG
			IF ( oFile.IMAGETYPE = "JPG" AND (UCASE(RIGHT(oFile.PATH,3))="JPG" OR UCASE(RIGHT(oFile.PATH,4))="JPEG") ) THEN
				SET oJpeg = SERVER.CREATEOBJECT("Persits.Jpeg")
				
				oJpeg.OPEN( oFile.PATH )
				IF ( oJpeg.ORIGINALWIDTH > thumbwidth ) THEN
					'Only alter the dimension if larger than required
					oJpeg.WIDTH  = thumbwidth
					oJpeg.HEIGHT = oJpeg.ORIGINALHEIGHT * (oJpeg.WIDTH / oJpeg.ORIGINALWIDTH)
				END IF
				sThumb = "thm_" & oFile.EXTRACTFILENAME
				oJpeg.SAVE SERVER.MAPPATH(UploadDir) & "\" & sThumb
			ELSE
				sThumb = oFile.EXTRACTFILENAME
			END IF
			rsNews("Thumbnail") = sThumb

			SET oFile = NOTHING
		ELSE
			IF ( NOT TRIM(UCASE(oUpload.FORM(strFieldName & "_text"))) = TRIM(UCASE(oUpload.FORM(strFieldName & "_old"))) ) THEN
				'Delete the existing file first
				SET oFSO = CREATEOBJECT("Scripting.FileSystemObject")
				IF ( oFSO.FileExists(SERVER.MAPPATH(UploadDir & "\" & rsNews("Image"))) ) THEN
					oFSO.DeleteFile( SERVER.MAPPATH(UploadDir & "\" & rsNews("Image")) )
				END IF
				IF ( oFSO.FileExists(SERVER.MAPPATH(UploadDir & "\" & rsNews("Thumbnail"))) ) THEN
					oFSO.DeleteFile( SERVER.MAPPATH(UploadDir & "\" & rsNews("Thumbnail")) )
				END IF
				SET oFSO = NOTHING

				'Now save the new details
				rsNews(strFieldName)	= RestoreNull(oUpload.FORM(strFieldName & "_text"))
				rsNews("Thumbnail")	= RestoreNull(oUpload.FORM(strFieldName & "_text"))
			END IF
		END IF
	ELSE
	
	Select Case rsNews(strFieldName).Type
 		Case adBinary, adVarBinary, adLongVarBinary		'Binary
		Case adDate, adDBDate, adDBTime, adDBTimeStamp		'Date/Time
			' Only update if the value has changed
			FormDateStr = RestoreNull(oUpload.FORM(strFieldName & "dd")) & "/" & RestoreNull(oUpload.FORM(strFieldName & "mm")) & "/" & RestoreNull(oUpload.FORM(strFieldName & "yy"))

			If IsDate(rsNews(strFieldName)) Then
				DBDateStr = Day(rsNews(strFieldName)) & "/" & Month(rsNews(strFieldName)) & "/" & Year(rsNews(strFieldName))
			End If

			If Not IsEqual(DBDateStr, FormDateStr) Then
				If CanUpdateField(strFieldName) Then
					If Not Len(Trim(oUpload.FORM(strFieldName & "dd")))=0 And Not Len(Trim(oUpload.FORM(strFieldName & "mm")))=0 And Not Len(Trim(oUpload.FORM(strFieldName & "yy")))=0 Then
						If IsRequiredField(strFieldName) Then
							RaiseError errValueRequired, strFieldName
							UpdateField = False
							Exit Function
						End If
					Else
						FormDataStr=""
					End If

					If IsDate(FormDateStr) Then
						rsNews(strFieldName) = FormDateStr
					ELSE
						rsNews(strFieldName) = NULL
					END IF
				Else
					RaiseError errNotEditable, strFieldName
					UpdateField = False
				End If
			End If
		Case Else
			' Only update if the value has changed
			If Not IsEqual(ConvertToString(rsNews(strFieldName)), RestoreNull(oUpload.FORM(strFieldName))) Then
				If CanUpdateField(strFieldName) Then						
					If IsRequiredField(strFieldName) And IsNull(RestoreNull(oUpload.FORM(strFieldName))) Then
						RaiseError errValueRequired, strFieldName
						UpdateField = False
						Exit Function
					End If				
					rsNews(strFieldName) = RestoreNull(oUpload.FORM(strFieldName))
				Else
					RaiseError errNotEditable, strFieldName
					UpdateField = False
				End If
			End If
	End Select
	END IF
End Function

'-------------------------------------------------------------------------------
' Purpose:  Criteria handler for a field in the recordset. Determines
'			correct delimiter based on data type
' Effects:	Appends to strWhere and strWhereDisplay variables
' Inputs:   strFieldName	- the name of the field in the recordset
'			avarLookup		- lookup array - null if none
'-------------------------------------------------------------------------------

Sub FilterField(ByVal strFieldName, avarLookup)
	Dim strFieldDelimiter
	Dim strDisplayValue
	Dim strValue
	Dim intRow
	strValue = oUpload.FORM(strFieldName)
	strDisplayValue = oUpload.FORM(strFieldName)
	
	' If empty then exit right away
	If oUpload.FORM(strFieldName) = "" Then Exit Sub
	
	' Concatenate the And boolean operator
	If strWhere <> "" Then strWhere = strWhere & " And"
	If strWhereDisplay <> "" Then strWhereDisplay = strWhereDisplay & " And"
	
	' If lookup field, then use lookup value for display
	If Not IsNull(avarLookup) Then
		For intRow = 0 to UBound(avarLookup, 2)
			If CStr(avarLookup(0, intRow)) = oUpload.FORM(strFieldName) Then
				strDisplayValue = avarLookup(1, intRow)
				Exit For
			End If
		Next
	End If
	
	' Set delimiter based on data type
	Select Case rsNews(strFieldName).Type
		Case adBSTR, adChar, adWChar, adVarChar, adVarWChar	'string types
			strFieldDelimiter = "'"
		Case adLongVarChar, adLongVarWChar					'long string types
			strFieldDelimiter = "'"				
		Case adDate, adDBDate, adDBTimeStamp				'date types
			strFieldDelimiter = "#"
		Case Else
			strFieldDelimiter = ""
	End Select
	
	' Modifies script level variables
	strWhere = strWhere & " " & PrepFilterItem(strFieldName, strValue, strFieldDelimiter)
	strWhereDisplay = strWhereDisplay & " " & PrepFilterItem(strFieldName, strDisplayValue, strFieldDelimiter)

End Sub

'-------------------------------------------------------------------------------
' Purpose:  Constructs a name/value pair for a where clause
' Effects:	Sets Err object if the criteria is invalid
' Inputs:   strFieldName	- the name of the field in the recordset
'			strCriteria		- the criteria to use
'			strDelimiter	- the proper delimiter to use
' Returns:	The name/value pair as a string
'-------------------------------------------------------------------------------

Function PrepFilterItem(ByVal strFieldName, ByVal strCriteria, ByVal strDelimiter)
	Dim strOperator
	Dim intEndOfWord
	Dim strWord

	' Char, VarChar, and LongVarChar must be single quote delimited.
	' Dates are pound sign delimited.
	' Numerics should not be delimited.
	' String to Date conversion rules are same as VBA.
	' Only support for ANDing.
	' Support the LIKE operator but only with * or % as suffix.
	
	strCriteria = Trim(strCriteria)	'remove leading/trailing spaces
	strOperator = "="				'sets default
	strValue = strCriteria			'sets default

	' Get first word and look for operator
	intEndOfWord = InStr(strCriteria, " ")
	If intEndOfWord Then
		strWord = UCase(Left(strCriteria, intEndOfWord - 1))
		' See if the word is an operator
		Select Case strWord
			Case "=", "<", ">", "<=", ">=",  "<>", "LIKE"
				strOperator = strWord
				strValue = Trim(Mid(strCriteria, intEndOfWord + 1))
			Case "=<", "=>"
				RaiseError errInvalidOperator, strFieldName
		End Select
	Else
		strWord = UCase(Left(strCriteria, 2))
		Select Case strWord
			Case "<=", ">=", "<>"
				strOperator = strWord
				strValue = Trim(Mid(strCriteria, 3))
			Case "=<", "=>"
				RaiseError errInvalidOperator, strFieldName
			Case Else
				strWord = UCase(Left(strCriteria, 1))
				Select Case strWord
					Case "=", "<", ">"
						strOperator = strWord
						strValue = Trim(Mid(strCriteria, 2))
				End Select
		End Select
	End If

	' Make sure LIKE is only used with strings
	If strOperator = "LIKE" and strDelimiter <> "'" Then
		RaiseError errInvalidOperatorUse, strFieldName
	End If		

	' Strip any extraneous delimiters because we add them anyway
	' Single Quote
	If Left(strValue, 1) = Chr(39) Then strValue = Mid(strValue, 2)
	If Right(strValue, 1) = Chr(39) Then strValue = Left(strValue, Len(strValue) - 1)

	' Double Quote - just in case
	If Left(strValue, 1) = Chr(34) Then strValue = Mid(strValue, 2)
	If Right(strValue, 1) = Chr(34) Then strValue = Left(strValue, Len(strValue) - 1)

	' Pound sign - dates
	If Left(strValue, 1) = Chr(35) Then strValue = Mid(strValue, 2)
	If Right(strValue, 1) = Chr(35) Then strValue = Left(strValue, Len(strValue) - 1)
    
	' Check for leading wildcards
	If Left(strValue, 1) = "*" Or Left(strValue, 1) = "%" Then
		RaiseError errInvalidPrefix, strFieldName
	End If
	
	PrepFilterItem = "[" & strFieldName & "]" & " " & strOperator & " " & strDelimiter & strValue & strDelimiter
End Function

'-------------------------------------------------------------------------------
' Purpose:  Display field involved in a database operation for feedback.
' Assumes: 	That the recordset containing the field is open
' Inputs:   strFieldLabel	- the label to be used for the field
'			strFieldName	- the name of the field in the recordset
'-------------------------------------------------------------------------------

Sub FeedbackField(strFieldLabel, strFieldName, avarLookup)
	Dim strBool
	Dim intRow
	Response.Write "<TR VALIGN=TOP>"
    Response.Write "<TD ALIGN=Left><FONT SIZE=-1><B>&nbsp;&nbsp;" & strFieldLabel & "</B></FONT></TD>"
	Response.Write "<TD BGCOLOR=White WIDTH=100% ALIGN=Left><FONT SIZE=-1>"
	
	' Test for lookup
	If Not IsNull(avarLookup) Then
		For intRow = 0 to UBound(avarLookup, 2)
			If CStr(avarLookup(0, intRow)) = oUpload.FORM(strFieldName) Then
				Response.Write Server.HTMLEncode(avarLookup(1, intRow))
				Exit For
			End If
		Next
		Response.Write "</FONT></TD></TR>"
		Exit Sub
	End If
	
	' Test for empty
	If oUpload.FORM(strFieldName) = "" Then
		Response.Write "&nbsp;"
		Response.Write "</FONT></TD></TR>"
		Exit Sub
	End If
	
	' Test the data types and display appropriately	
	Select Case rsNews(strFieldName).Type
		Case adBoolean, adUnsignedTinyInt				'Boolean
			strBool = ""
			If oUpload.FORM(strFieldName) <> 0 Then
				strBool = "True"
			Else
				strBool = "False"
			End If
			Response.Write strBool
		Case adBinary, adVarBinary, adLongVarBinary		'Binary
			Response.Write "[Binary]"
		Case adLongVarChar, adLongVarWChar				'Memo
			Response.Write Server.HTMLEncode(oUpload.FORM(strFieldName))
		Case Else
			If Not CanUpdateField(strFieldName) Then
				Response.Write "[AutoNumber]"
			Else
				Response.Write Server.HTMLEncode(oUpload.FORM(strFieldName))
			End If
	End Select
	Response.Write "</FONT></TD></TR>"
End Sub

If ( ( Not IsEmpty(oUpload.FORM("DataAction")) ) AND ( LEN(TRIM(oUpload.FORM("DataAction")))>0 ) ) Then
	strDataAction = Trim(oUpload.FORM("DataAction"))

Else
	strDataAction = REQUEST("DataAction")
	IF ( LEN(TRIM(strDataAction))=0 ) THEN
		Response.Redirect "../News-editList.asp"
	End If
END if

			
'------------------
' Action handler
'------------------
Select Case strDataAction
	Case "Archive"

		Const adCmdText = &H0001
		'Const adOpenDynamic = 2
		Const adLockOptimistic = 3

		'Opens connection to the database
		SET oConn2 = SERVER.CREATEOBJECT("ADODB.Connection")
		oConn2.OPEN sDSN

	'Open the News table
	SET oCmd   	 = SERVER.CREATEOBJECT("ADODB.Command")
	SET rsNews2 = SERVER.CREATEOBJECT("ADODB.RecordSet")
	oCmd.ACTIVECONNECTION = oConn2
	oCmd.COMMANDTEXT      = "SELECT * FROM News WHERE NewsID=" & request("Bookmark")
	oCmd.COMMANDTYPE      = adCmdText
	rsNews2.OPEN oCmd,,adOpenDynamic,adLockOptimistic


		' Make sure we exit and re-process the form if session has timed out
		If IsEmpty(Session("rsNews_Recordset")) Then
			Response.Redirect "../News-editForm.asp?FormMode=Edit"
		End If
		
		Set rsNews = Session("rsNews_Recordset")
		If rsNews2.EOF and rsNews2.BOF Then Response.Redirect "../News-editForm.asp"

		rsNews2("Archived") = True
		rsNews2.Update

		Response.Redirect "../News-editList.asp?rsNews_PagingMove=" & oUpload.FORM("rsNews_PagingMove") & "&SortCol=" & oUpload.FORM("SortCol") & "&S1=" & oUpload.FORM("S1") & "&S2=" & oUpload.FORM("S2") & "&S3=" & oUpload.FORM("S3")

	Case "Unarchive"
			'Const adCmdText = &H0001
			'Const adOpenDynamic = 2
			'Const adLockOptimistic = 3

			'Opens connection to the database
			SET oConn2 = SERVER.CREATEOBJECT("ADODB.Connection")
			oConn2.OPEN sDSN

			'Open the News table
			SET oCmd   	 = SERVER.CREATEOBJECT("ADODB.Command")
			SET rsNews2 = SERVER.CREATEOBJECT("ADODB.RecordSet")
			oCmd.ACTIVECONNECTION = oConn2
			oCmd.COMMANDTEXT      = "SELECT * FROM News WHERE NewsID=" & request("Bookmark")
			oCmd.COMMANDTYPE      = adCmdText
			rsNews2.OPEN oCmd,,adOpenDynamic,adLockOptimistic


		' Make sure we exit and re-process the form if session has timed out
		If IsEmpty(Session("rsNews_Recordset")) Then
			Response.Redirect "../News-editForm.asp?FormMode=Edit"
		End If
		
		Set rsNews = Session("rsNews_Recordset")
		If rsNews2.EOF and rsNews2.BOF Then Response.Redirect "../News-editForm.asp"

		rsNews2("Archived") = False
		rsNews2.Update

		Response.Redirect "../News-editList.asp?rsNews_PagingMove=" & oUpload.FORM("rsNews_PagingMove") & "&SortCol=" & oUpload.FORM("SortCol") & "&S1=" & oUpload.FORM("S1") & "&S2=" & oUpload.FORM("S2") & "&S3=" & oUpload.FORM("S3")

	Case "Cancel"	'Was List View

'*********************************************
'
' EDIT HERE: Add correct parameters after URL
'
'*********************************************
		Response.Redirect "../News-editList.asp?rsNews_PagingMove=" & oUpload.FORM("rsNews_PagingMove") & "&SortCol=" & oUpload.FORM("SortCol") & "&S1=" & oUpload.FORM("S1") & "&S2=" & oUpload.FORM("S2") & "&S3=" & oUpload.FORM("S3")

'	Case "Cancel"
'
'		Response.Redirect "../News-editForm.asp?FormMode=Edit"

	Case "Filter"
	
'		On Error Resume Next
		Session("rsNews_Filter") = ""
		Session("rsNews_FilterDisplay") = ""
		Session("rsNews_Recordset").Filter = ""
		Response.Redirect "../News-editForm.asp?FormMode=" & strDataAction

	Case "New"
	
'		On Error Resume Next
		Session("rsNews_Filter") = ""
		Session("rsNews_FilterDisplay") = ""
		Session("rsNews_Recordset").Filter = ""
'*********************************************
'
' EDIT HERE: Add correct parameters after URL
'
'*********************************************
		Response.Redirect "../News-editForm.asp?FormMode=" & strDataAction & "&rsNews_PagingMove=" & oUpload.FORM("rsNews_PagingMove") & "&SortCol=" & oUpload.FORM("SortCol") & "&S1=" & oUpload.FORM("S1") & "&S2=" & oUpload.FORM("S2") & "&S3=" & oUpload.FORM("S3")

	Case "Find"

'		Session("rsNews_PageSize") = 1 'So we don't do standard page conversion
'		Session("rsNews_AbsolutePage") = CLng(REQUEST("Bookmark"))
'*********************************************
'
' EDIT HERE: Add correct parameters after URL
'
'*********************************************
'		Response.Redirect "../News-editForm.asp?rsNews_PagingMove=" & REQUEST("rsNews_PagingMove") & "&SortCol=" & REQUEST("SortCol") & "&S1=" & REQUEST("S1") & "&S2=" & REQUEST("S2") & "&S3=" & REQUEST("S3")
		Response.Redirect "../News-editForm.asp?rsNews_PagingMove=" & REQUEST("rsNews_PagingMove") & "&Bookmark=" & REQUEST("Bookmark") & "&SortCol=" & REQUEST("SortCol") & "&S1=" & REQUEST("S1") & "&S2=" & REQUEST("S2") & "&S3=" & REQUEST("S3")

	Case "All Records"
	
'		On Error Resume Next
		Session("rsNews_Filter") = ""
		Session("rsNews_FilterDisplay") = ""
		Session("rsNews_Recordset").Filter = ""
		Session("rsNews_AbsolutePage") = 1
		Response.Redirect "../News-editForm.asp"

	Case "Apply"

'		On Error Resume Next
		
		' Make sure we exit and re-process the form if session has timed out
		If IsEmpty(Session("rsNews_Recordset")) Then
			Response.Redirect "../News-editForm.asp?FormMode=Edit"
		End If
		
		Set rsNews = Session("rsNews_Recordset")

		strWhere = ""
		strWhereDisplay = ""
'*********************************************
'
' EDIT HERE: Change to correct list of fields
'
'*********************************************
		FilterField "NewsDate", Null
		FilterField "Heading", Null
		FilterField "Message", Null
		FilterField "nImage", Null
		FilterField "Thumbnail", Null
		FilterField "Caption", Null
		FilterField "Archived", Null
		FilterField "Expiry", Null
		
		' Filter the recordset
		If strWhere <> "" Then
			Session("rsNews_Filter") = strWhere
			Session("rsNews_FilterDisplay") = strWhereDisplay
			Session("rsNews_AbsolutePage") = 1
		Else
			Session("rsNews_Filter") = ""
			Session("rsNews_FilterDisplay") = ""
		End If

		' Jump back to the form
		If Err.Number = 0 Then Response.Redirect "../News-editForm.asp"

	Case "Insert"

		On Error Resume Next		

		' Make sure we exit and re-process the form if session has timed out
		If IsEmpty(Session("rsNews_Recordset")) Then
			Response.Redirect "../News-editForm.as?FormMode=Edit"
		End If

		Set rsNews = Session("rsNews_Recordset")
		rsNews.AddNew
		
		Do
'*********************************************
'
' EDIT HERE: Change to correct list of fields
'
'*********************************************
			If Not InsertField("NewsDate",FALSE) Then Exit Do
			If Not InsertField("Heading",FALSE) Then Exit Do
			If Not InsertField("Message",FALSE) Then Exit Do
			If Not InsertField("nImage",TRUE) Then Exit Do
			If Not InsertField("ThumbNail",TRUE) Then Exit Do
			If Not InsertField("Caption",FALSE) Then Exit Do
			If Not InsertField("Archived",FALSE) Then Exit Do
			If Not InsertField("Expiry",FALSE) Then Exit Do

			rsNews.Update
			
			Exit Do
		Loop

		If Err.Number <> 0 Then
			If rsNews.EditMode Then rsNews.CancelUpdate
		Else
			If IsEmpty(Session("rsNews_AbsolutePage")) Or Session("rsNews_AbsolutePage") = 0 Then
				Session("rsNews_AbsolutePage") = 1
			End If
			' Requery static cursor so inserted record is visible
			If rsNews.CursorType = adOpenStatic Then rsNews.Requery
			Session("rsNews_Status") = "Record has been inserted"
		End If
'*********************************************
'
' EDIT HERE: Add correct parameters after URL
'
'*********************************************
		Response.Redirect "../News-editList.asp?rsNews_PagingMove=" & oUpload.FORM("rsNews_PagingMove") & "&SortCol=" & oUpload.FORM("SortCol") & "&S1=" & oUpload.FORM("S1") & "&S2=" & oUpload.FORM("S2") & "&S3=" & oUpload.FORM("S3")

	Case "Update"

		On Error Resume Next		

		' Make sure we exit and re-process the form if session has timed out
		If IsEmpty(Session("rsNews_Recordset")) Then
			Response.Redirect "../News-editForm.asp?FormMode=Edit"
		End If
		
		Set rsNews = Session("rsNews_Recordset")
		If rsNews.EOF and rsNews.BOF Then Response.Redirect "../News-editForm.asp"

		IF ( NOT oUpload.FILES("Image") IS NOTHING ) THEN
			IF ( oFile.IMAGETYPE = "JPG" AND (UCASE(RIGHT(oFile.PATH,3))="JPG" OR UCASE(RIGHT(oFile.PATH,4))="JPEG") ) THEN
			'---------------------------------
			' Delete the previous image first
			'---------------------------------
			'Connect to the database
			SET oConn = SERVER.CREATEOBJECT("ADODB.Connection")
			oConn.OPEN sDSN

'***********************************************
'
' EDIT HERE: Change to correct table and fields
'
'***********************************************
			'Find the record, and file name
			sSqlCmd = "SELECT * FROM News WHERE NewsID=" & rsNews("NewsID")
			SET rsProdImage = oConn.EXECUTE(sSqlCmd)
		
			'If the file is found, delete it
			IF ( NOT rsProdImage.EOF) THEN
				IF ( ( NOT ISNULL(rsProdImage("Image")) ) AND ( LEN(TRIM(rsProdImage("Image")))>0 ) ) THEN
					SET oFSO = CREATEOBJECT("Scripting.FileSystemObject")
					IF ( oFSO.FileExists(SERVER.MAPPATH(UploadDir & "\" & rsProdImage("Image"))) ) THEN
						oFSO.DeleteFile( SERVER.MAPPATH(UploadDir & "\" & rsProdImage("Image")) )
					END IF
					IF ( oFSO.FileExists(SERVER.MAPPATH(UploadDir & "\" & rsProdImage("Thumbnail"))) ) THEN
						oFSO.DeleteFile( SERVER.MAPPATH(UploadDir & "\" & rsProdImage("Thumbnail")) )
					END IF
					SET oFSO = NOTHING
				END IF
			
				rsProdImage.CLOSE
			END IF

			SET rsProdImage = NOTHING
			SET oConn = NOTHING
			END IF
		END IF
		
		Do
'*********************************************
'
' EDIT HERE: Change to correct list of fields
'
'*********************************************

			If Not UpdateField("NewsDate",FALSE) Then Exit Do
			If Not UpdateField("Heading",FALSE) Then Exit Do
			If Not UpdateField("Message",FALSE) Then Exit Do
			If Not UpdateField("nImage",TRUE) Then Exit Do
			If Not UpdateField("ThumbNail",TRUE) Then Exit Do
			If Not UpdateField("Caption",FALSE) Then Exit Do
			If Not UpdateField("Archived",FALSE) Then Exit Do
			If Not UpdateField("Expiry",FALSE) Then Exit Do

			If rsNews.EditMode Then rsNews.Update
			Exit Do
		Loop

		If Err.Number <> 0 Then
			If rsNews.EditMode Then rsNews.CancelUpdate
		End If

'*********************************************
'
' EDIT HERE: Add correct parameters after URL
'
'*********************************************
		Response.Redirect "../News-editList.asp?rsNews_PagingMove=" & oUpload.FORM("rsNews_PagingMove") & "&SortCol=" & oUpload.FORM("SortCol") & "&S1=" & oUpload.FORM("S1") & "&S2=" & oUpload.FORM("S2") & "&S3=" & oUpload.FORM("S3")

	Case "Delete"

'		On Error Resume Next

		'Connect to the database
		SET oConn = SERVER.CREATEOBJECT("ADODB.Connection")
		oConn.OPEN sDSN

'***********************************************
'
' EDIT HERE: Change to correct table and fields
'
'***********************************************
		'Find the record, and file name
		sSqlCmd = "SELECT * FROM News WHERE NewsID=" & REQUEST("Bookmark")
		SET rsProdImage = oConn.EXECUTE(sSqlCmd)
		
		'If the file is found, delete it
		IF ( NOT rsProdImage.EOF) THEN
			IF ( ( NOT ISNULL(rsProdImage("nImage")) ) AND ( LEN(TRIM(rsProdImage("nImage")))>0 ) ) THEN
				SET oFSO = CREATEOBJECT("Scripting.FileSystemObject")
				IF ( oFSO.FileExists(SERVER.MAPPATH(UploadDir & "\" & rsProdImage("nImage"))) ) THEN
					oFSO.DeleteFile( SERVER.MAPPATH(UploadDir & "\" & rsProdImage("nImage")) )
				END IF
				IF ( oFSO.FileExists(SERVER.MAPPATH(UploadDir & "\" & rsProdImage("ThumbNail"))) ) THEN
					oFSO.DeleteFile( SERVER.MAPPATH(UploadDir & "\" & rsProdImage("ThumbNail")) )
				END IF
				SET oFSO = NOTHING
			END IF
			
			rsProdImage.CLOSE
		END IF

'***********************************************
'
' EDIT HERE: Change to correct table and fields
'
'***********************************************
		'Now delete the specific record
		sSqlCmd = "DELETE FROM News WHERE NewsID=" & REQUEST("Bookmark")
		SET rsProdImage = oConn.EXECUTE(sSqlCmd)

		SET rsProdImage = NOTHING
		SET oConn = NOTHING

'*********************************************
'
' EDIT HERE: Add correct parameters after URL
'
'*********************************************
		Response.Redirect "../News-editList.asp?rsNews_PagingMove=" & REQUEST("rsNews_PagingMove") & "&SortCol=" & REQUEST("SortCol") & "&S1=" & REQUEST("S1") & "&S2=" & REQUEST("S2") & "&S3=" & REQUEST("S3")
		
'		' Make sure we exit and re-process the form if session has timed out
'		If IsEmpty(Session("rsNews_Recordset")) Then
'			Response.Redirect "../News-editForm.asp?FormMode=Edit"
'		End If
		
'		Set rsNews = Session("rsNews_Recordset")
'		If rsNews.EOF and rsNews.BOF Then Response.Redirect "../News-editForm.asp"

'		rsNews.Delete

'		' Proceed if no error
'		If Err.Number = 0 Then
'			' Requery static cursor so deleted record is removed
'			If rsNews.CursorType = adOpenStatic Then rsNews.Requery
			
'			' Move off deleted rec
'			rsNews.MoveNext
			
'			' If at EOF then jump back one and adjust AbsolutePage
'			If rsNews.EOF Then
'				rsNews.MovePrevious
'				Session("rsNews_AbsolutePage") = Session("rsNews_AbsolutePage") - 1				
'				If rsNews.BOF And rsNews.EOF Then rsNews.Requery
'			End If
'		End If

End Select
%>
<%
'<!----------------------------- Error Handler --------------------------------->

   If Err Then %>
	<%
	' Add additional error information to clarify specific errors
	Select Case Err.Number
		Case -2147467259
			strErrorAdditionalInfo = "  This may be caused by an attempt to update a non-primary table in a view."
		Case Else
			strErrorAdditionalInfo = ""
	End Select
	%>
	<html>
	<head>
		<meta NAME="GENERATOR" CONTENT="Microsoft FrontPage 5.0">
		<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
		<meta NAME="keywords" CONTENT="Microsoft Data Form, Advertiser Form">
<%
'*************************
'
' EDIT HERE: Change Title
'
'*************************
%>
		<title>HCS Administration</title>
	</head>
	<basefont FACE="Arial, Helvetica, sans-serif">
	<link REL="STYLESHEET" HREF="Style.css">
	<body BACKGROUND="Images/Redside/Background/Back2.jpg" BGCOLOR="White">
	<TABLE WIDTH="100%" BORDER="0" CELLSPACING="0" CELLPADDING="0">
	  <TR> 
	    <TD WIDTH="2%"><IMG SRC="images/clr-dot.gif" WIDTH="20" HEIGHT="11"></TD>
	    <TD WIDTH="98%" ALIGN="LEFT"><IMG SRC="images/clr-dot.gif" WIDTH="5" HEIGHT="11"></TD>
	  </TR>
	  <TR> 
	    <TD WIDTH="2%" VALIGN="TOP"><IMG SRC="images/clr-dot.gif" WIDTH="20" HEIGHT="5"></TD>
	    <TD WIDTH="98%"> 
	      <TABLE WIDTH="95% cellpadding="2" cellspacing="0" BORDER="0">
	        <TR> 
          <TD CLASS="secttitle">
	<table WIDTH="100%" CELLSPACING="0" CELLPADDING="0" BORDER="0">
		<tr>
			<th COLSPAN="2" NOWRAP ALIGN="Left" CLASS="secttitle">
				&nbsp;MESSAGE<BR><BR>
			</th>
		</tr>
		<tr>
			<td COLSPAN="2">
			<font SIZE="3"><b>
			<% 
			Select Case strDataAction
				Case "Insert"
					Response.Write("Unable to insert the record into database.")
				Case "Update"
					Response.Write("Unable to post the updated record to database.")
				Case "Delete"
					Response.Write("Unable to delete the record from database.")
			End Select
			%>
			</b></font>
			</td>
		</tr>
	</table>
	<table WIDTH="100%" CELLSPACING="1" CELLPADDING="2" BORDER="0">
		<tr>
			<td ALIGN="Left" BGCOLOR="Silver" CLASS="secttitle"><font COLOR="#000000"><b>&nbsp;&nbsp;Item</b></font></td>
			<td WIDTH="100%" ALIGN="Left" BGCOLOR="Silver" CLASS="secttitle"><font COLOR="#000000"><b>Description</b></font></td>
		</tr>
		<tr>
			<td BGCOLOR="White" CLASS="secttitle"><font COLOR="#000000"><b>&nbsp;&nbsp;Source:</b></font></td>
			<td BGCOLOR="White" class="copy"><font COLOR="#000000"><%= Err.Source %></td>
		</tr>
		<tr>
			<td BGCOLOR="White" NOWRAP CLASS="secttitle"><font COLOR="#000000"><b>&nbsp;&nbsp;Error Number:</b></font></td>
			<td BGCOLOR="White" class="copy"><font COLOR="#000000"><%= Err.Number %></font></td>
		</tr>
		<tr>
			<td BGCOLOR="White" CLASS="secttitle"><font COLOR="#000000"><b>&nbsp;&nbsp;Description:</b></font></td>
			<td BGCOLOR="White" class="copy"><font COLOR="#000000"><%= Server.HTMLEncode(Err.Description & strErrorAdditionalInfo) %></font></td>
		</tr>
		<tr>
			<td><BR>
			<% Response.Write "<FORM ACTION=""../News-editForm.asp"" METHOD=""POST"">"
'***********************
'
' EDIT HERE: Change URL
'
'***********************
 %>
			<input TYPE="Hidden" NAME="FormMode" VALUE="Edit">
			<input TYPE="SUBMIT" VALUE="Form View">
			</form>
			</td>
			<td>
			<font class="copy">
			To return to the form view with the previously entered 
			information intact, use your browsers &quot;back&quot; button
			</font>
			</td>
		</tr>
	</table>
		        </TR>
		      </TABLE>
		      <BR>
		      <BR>
		    </TD>
		  </TR>
</TABLE>
	</body>
	</html>

<% Else
rsNews.Close
cnn.close %>
<%
'<!-- Action Nofeedback -->
'***********************
'
' EDIT HERE: Change URL
'
'***********************
 Response.Redirect "../News-editForm.asp?rsNews_PagingMove=" & oUpload.FORM("rsNews_PagingMove") & "&SortCol=" & oUpload.FORM("SortCol") & "&S1=" & oUpload.FORM("S1") & "&S2=" & oUpload.FORM("S2") & "&S3=" & oUpload.FORM("S3")
%>
<% 
End If 
Set rsNews = Nothing
%>