<%
'=========================================
'This code is copyright (c) Hanley's Computer Services, all rights reserved.
'The contents of this file are protect under law as the intellectual property
'of Hanley's Computer Services. Any use, reproduction, disclosure or copying
'of any kind without the express and written permission of Hanley's Computer 
'Services is forbidden.
'Author: Gary Hanley, info@hcsfixit.com
'Ensure a new copy of the page every time
RESPONSE.EXPIRES=-1
RESPONSE.BUFFER=TRUE

If UploadDir = "" then UploadDir = "\uploads\images"

Dim strPagingMove	
Dim strFormMode
Dim strDFName

DIM sCatList_Name(1000)
DIM sCatList_ID(1000)
DIM iCatNrecs

'********************************************************
'
' EDIT HERE: Change the name of this variable throughout
' this page (find/replace), for each table
'
'********************************************************
strDFName = "rsNews"

'---- FieldAttributeEnum Values ----
Const adFldUpdatable = &H00000004
Const adFldUnknownUpdatable = &H00000008
Const adFldIsNullable = &H00000020

'---- DataTypeEnum Values ----
Const adUnsignedTinyInt = 17
Const adBoolean = 11
Const adLongVarChar = 201
Const adLongVarWChar = 203
Const adBinary = 128
Const adVarBinary = 204
Const adLongVarBinary = 205
Const adVarChar = 200
Const adWVarChar = 202
Const adBSTR = 8
Const adChar = 129
Const adWChar = 130
Const adDate = 7
Const adDBDate = 133
Const adDBTime = 134
Const adDBTimeStamp = 135
'---- Other Values ----
Const dfMaxSize = 100

'-------------------------------------------------------------------------------
' Purpose:  Substitutes Empty for Null and trims leading/trailing spaces
' Inputs:   varTemp	- the target value
' Returns:	The processed value
'-------------------------------------------------------------------------------

Function ConvertNull(varTemp)
	If IsNull(varTemp) Then
		ConvertNull = ""
	Else
		ConvertNull = Trim(varTemp)
	End If
End Function

'-------------------------------------------------------------------------------
' Purpose:  Embeds bracketing quotes around the string
' Inputs:   varTemp	- the target value
' Returns:	The processed value
'-------------------------------------------------------------------------------

Function QuotedString(varTemp)
	If IsNull(varTemp) Then
		QuotedString = Chr(34) & Chr(34)
	Else
		QuotedString = Chr(34) & CStr(varTemp) & Chr(34)
	End If
End Function

'-------------------------------------------------------------------------------
' Purpose:  Tests string to see if it is a URL by looking for protocol
' Inputs:   varTemp	- the target value
' Returns:	True - if is URL, False if not
'-------------------------------------------------------------------------------

Function IsURL(varTemp)
	IsURL = True
	If UCase(Left(Trim(varTemp), 6)) = "HTTP:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 6)) = "FILE:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 8)) = "MAILTO:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 5)) = "FTP:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 8)) = "GOPHER:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 6)) = "NEWS:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 7)) = "HTTPS:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 8)) = "TELNET:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 6)) = "NNTP:/" Then Exit Function
	IsURL = False
End Function

'-------------------------------------------------------------------------------
' Purpose:  Tests whether the field in the recordset is updatable
' Assumes: 	That the recordset containing the field is open
' Inputs:   strFieldName	- the name of the field in the recordset
' Returns:	True if updatable, False if not
'-------------------------------------------------------------------------------

Function CanUpdateField(strFieldName)
	Dim intUpdatable
	intUpdatable = (adFldUpdatable Or adFldUnknownUpdatable)
	CanUpdateField = True
	If (rsNews(strFieldName).Attributes And intUpdatable) = False Then
		CanUpdateField = False
	End If
End Function

SUB ShowSubscription(strBGColor)
	DIM sSQL
	DIM rsNewsletters

	RESPONSE.WRITE "<TR VALIGN=TOP>"
	RESPONSE.WRITE "<TD nowrap VALIGN=Top ALIGN=Left BGCOLOR=" & strBGColor & " class=copy><font class=prodbody>&nbsp;&nbsp;"
	RESPONSE.WRITE "Newsletters&nbsp;&nbsp;</font></TD>"
	RESPONSE.WRITE "<TD WIDTH=100% BGCOLOR=" & strBGColor & " valign=TOP><font class=prodbody>"

	'Search the newsletter types
	sSQL = "SELECT * FROM NewsletterSubscriptions ns, NewsletterType nt "
	sSQL = sSQL & "WHERE ns.TypeID=nt.TypeID AND ns.UserID=" & rsNews("UserID") & " "
	sSQL = sSQL & "ORDER by TypeDesc"
	SET rsNewsletters = cnn.EXECUTE(sSQL)

	'Loop through all the records
	DO WHILE ( NOT rsNewsletters.EOF )
		RESPONSE.WRITE rsNewsletters("TypeDesc") & "<br>"

		rsNewsletters.MOVENEXT
	LOOP

	'Close the database when done
	rsNewsletters.CLOSE

	RESPONSE.WRITE "</TD></TR>"
END SUB

'-------------------------------------------------------------------------------
' Purpose:  Handles the display of a field from a recordset depending
'			on its data type, attributes, and the current mode.
' Assumes: 	That the recordset containing the field is open
'			That strFormMode is initialized
' Inputs:   strFieldName 	- the name of the field in the recordset
'				strLabel			- the label to display
'				blnIdentity		- identity field flag
'				avarLookup		- array of lookup values
'        	strDisabled		- Enabled or not
'				strBGColor		- Background colour for the row
'				iFileField		- Flag for file field
'-------------------------------------------------------------------------------
 
Sub ShowField(strFieldName, strLabel, blnIdentity, sDropList, strDisabled, strBGColor, iFileField)
	Dim blnFieldRequired
	Dim intMaxSize
	Dim intInputSize
	Dim strOption1State
	Dim strOption2State
	Dim strFieldValue
	Dim nPos
	strFieldValue = ""
	nPos=Instr(strFieldName,".")

	Do While nPos > 0 
		strFieldName= Mid (strFieldName, nPos+1)
		nPos=Instr(strFieldName,".")
	Loop 

	' If not in Edit form mode then set value to empty so doesn't display
	strFieldValue = ""
	If strFormMode = "Edit" Then strFieldValue = RTrim(rsNews(strFieldName))
	
	' See if the field is required by checking the attributes 
	blnFieldRequired = False
	If (rsNews(strFieldName).Attributes And adFldIsNullable) = 0 Then 
		blnFieldRequired = True
	End If
	
	' Set values for the MaxLength and Size attributes	
'	intMaxSize = dfMaxSize
	intInputSize = rsNews(strFieldName).DefinedSize / 2 + 10
'	If strFormMode <> "Filter" Then intMaxSize = intInputSize - 2
	intMaxSize = rsNews(strFieldName).DefinedSize

	' Write the field label and start the value cell
	Response.Write "<TR VALIGN=TOP>"
	Response.Write "<TD nowrap VALIGN=Middle ALIGN=Left BGCOLOR=" & strBGColor & " class=copy><font class=prodbody>&nbsp;&nbsp;" & strLabel & "&nbsp;&nbsp;</font></TD>"	
	Response.Write "<TD WIDTH=100% BGCOLOR=" & strBGColor & " valign=middle><font class=hometext>"
	
	' If the field is not updatable, then handle 
	' it like an Identity column and exit
	If Not CanUpdateField(strFieldName) Then
		' Special handling if Binary
		Select Case rsNews(strFieldName).Type
			Case adBinary, adVarBinary, adLongVarBinary		'Binary
				Response.Write "[Binary]"
			Case Else		
				Select Case strFormMode
					Case "Edit"
						Response.Write ConvertNull(strFieldValue)
						Response.Write "<INPUT TYPE=Hidden NAME=" & QuotedString(strFieldName)
						Response.Write " VALUE=" & QuotedString(strFieldValue) & " >"
					Case "New"
						Response.Write "[AutoNumber]"
						Response.Write "<INPUT TYPE=Hidden NAME=" & QuotedString(strFieldName)
						Response.Write " VALUE=" & QuotedString(strFieldValue) & " >"
					Case "Filter" 
						Response.Write "<INPUT TYPE=Text NAME=" & QuotedString(strFieldName)
						Response.Write " SIZE=" & intInputSize
						Response.Write " MAXLENGTH=" & intMaxSize
						Response.Write " VALUE=" & QuotedString(strFieldValue) & " >"
				End Select
		End Select
		Response.Write "</font></TD></TR>"
		Exit Sub
	End If



	
	' Handle lookups using a select and options
'	If Not IsNull(avarLookup) Then
'		Response.Write "<SELECT NAME=" & QuotedString(strFieldName) & ">"
'
'		' Loop thru the rows in the array
'		For intRow = 0 to UBound(avarLookup, 2)
'			Response.Write "<OPTION VALUE=" & QuotedString(avarLookup(0, intRow))
'            If strFormMode = "Edit" Then
'				If ConvertNull(avarLookup(0, intRow)) = ConvertNull(strFieldValue) Then
'               		Response.Write " SELECTED"
'				End If
'            End If
'           	Response.Write ">"
         
'         RESPONSE.WRITE sCatList(avarLookup(0, intRow))
'			'Response.Write ConvertNull(avarLookup(1, intRow))
'		Next
'		Response.Write "</SELECT>"
'		If blnFieldRequired then 'And strFormMode = "New" Then 
'			Response.Write "&nbsp;&nbsp;(Required)"
'		End If
'		Response.Write "</font></TD></TR>"
'		Exit Sub
'	End If	
	IF ( NOT ISNULL(sDropList) ) THEN
		'Opens connection to the database
		SET oConn = SERVER.CREATEOBJECT("ADODB.Connection")
		oConn.OPEN sDSN

		SELECT CASE UCASE(sDropList)
			CASE "CATEGORY"
				'Find the category names
				sSQL = "SELECT * FROM CATEGORY "
				sSQL = sSQL & "WHERE CategoryID NOT IN (SELECT ParentID FROM CATEGORY) "
				sSQL = sSQL & "ORDER BY CategoryID,ParentID"
				SET rsCatList = oConn.EXECUTE(sSQL)

				'Construct the names into the arrays
				IF ( NOT rsCatList.EOF ) THEN
					iCatNrecs = 0

					DO WHILE ( NOT rsCatList.EOF )
						sCatList_Name(iCatNrecs) = sCatList(rsCatList("CategoryID"))
						sCatList_ID(iCatNrecs)   = rsCatList("CategoryID")

						iCatNrecs = iCatNrecs + 1
						rsCatList.MOVENEXT
					LOOP
	
					rsCatList.CLOSE
				END IF

				'Sort the arrays first
				CALL BubbleSort()

				RESPONSE.WRITE "<SELECT NAME=" & QuotedString(strFieldName) & ">"
				FOR i = 1 TO iCatNrecs
					RESPONSE.WRITE "<option value=""" & sCatList_ID(i-1)& """"
    				IF ( TRIM(CSTR(sCatList_ID(i-1))) = TRIM(strFieldValue) ) THEN RESPONSE.WRITE "selected"
    				RESPONSE.WRITE ">" & sCatList_Name(i-1) & "</option>"
				NEXT
				RESPONSE.WRITE "</SELECT>"
				If blnFieldRequired then 'And strFormMode = "New" Then 
					Response.Write "&nbsp;&nbsp;(Required)"
				End If
				Response.Write "</font></TD></TR>"
				Exit Sub

		END SELECT

		'Release the database resources
		SET rsCatList = NOTHING
		SET oConn     = NOTHING
	END IF


	'Special display type - File Uploading
	IF ( iFileField ) THEN
		RESPONSE.WRITE "<table>"

		'Display a link to an existing image, if existing
		'IF ( LEN(TRIM(strFieldValue))>0 ) THEN
			RESPONSE.WRITE "<tr><td>Existing File:</td>"
			RESPONSE.WRITE "<td><input type=""hidden"" name=" & QuotedString(strFieldName & "_old")
			RESPONSE.WRITE " Value=" & QuotedString(TRIM(strFieldValue)) & ">"
			RESPONSE.WRITE "<input type=""text"" name=" & QuotedString(strFieldName & "_text")
			RESPONSE.WRITE " SIZE=" & QuotedString(intInputSize) & " Value=" & QuotedString(TRIM(strFieldValue))
			RESPONSE.WRITE " MAXLENGTH=" & QuotedString(intMaxSize) & "> &nbsp;"
			RESPONSE.WRITE "<a href=""" & UploadDir & "/"
			RESPONSE.WRITE TRIM(strFieldValue) & """ target=_blank>View</a></td></tr>"
			RESPONSE.WRITE "<tr><td colspan=2>Or</td></tr>"
		'END IF
		
		RESPONSE.WRITE "<tr><td>Select New File:</td>"
		RESPONSE.WRITE "<td><INPUT TYPE=File NAME=" & QuotedString(strFieldName)
		RESPONSE.WRITE " SIZE=" & intInputSize
		RESPONSE.WRITE " MAXLENGTH=" & intMaxSize & "></td></tr>"
		
		RESPONSE.WRITE "</table>"
						
		EXIT SUB
	END IF

	' Evaluate data type and handle appropriately
	Select Case rsNews(strFieldName).Type
	
		Case adBoolean, adUnsignedTinyInt				'Boolean
			If strFormMode = "Filter" Then				
				strOption1State = " >Yes"
				strOption2State = " >No"
			Else
				Select Case strFieldValue
					Case "True", "1", "-1"
						strOption1State = " CHECKED>Yes"
						strOption2State = " >No"
					Case "False", "0"
						strOption1State = " >Yes"
						strOption2State = " CHECKED>No"
					Case Else
						strOption1State = " >Yes"
						strOption2State = " CHECKED>No"
				End Select
			End If			
			Response.Write "<INPUT TYPE=Radio "
			If strDisabled then
				Response.Write " disabled "
			end if
			Response.Write "VALUE=1 NAME=" & QuotedString(strFieldName) & strOption1State
			Response.Write "<INPUT TYPE=Radio "
			If strDisabled then
				Response.Write " disabled "
			end if
			Response.Write "VALUE=0 NAME=" & QuotedString(strFieldName) & strOption2State
			If strFormMode = "Filter" Then
				Response.Write "<INPUT TYPE=Radio NAME=" & QuotedString(strFieldName) & " CHECKED>Neither"
			End If
			
		Case adBinary, adVarBinary, adLongVarBinary		'Binary
			Response.Write "[Binary]"
			
		Case adLongVarChar, adLongVarWChar				'Memo
			Response.Write "<TEXTAREA NAME=" & QuotedString(strFieldName) & " ROWS=4 COLS=45 "
			If strDisabled then
				Response.Write " disabled "
			end if
			Response.Write ">"
			Response.Write Server.HTMLEncode(ConvertNull(strFieldValue))
			Response.Write "</TEXTAREA>"

		Case adDate, adDBDate, adDBTime, adDBTimeStamp			'Date/Time
			Response.Write "<INPUT TYPE=Text NAME=" & QuotedString(strFieldName & "dd") & " SIZE=4"
			Response.Write " MAXLENGTH=2"
			if IsDate(strFieldValue) Then
				Response.Write " VALUE=" & QuotedString(Day(strFieldValue))
         else
			IF strFieldName <> "Expiry" THEN
		        Response.Write " VALUE=" & QuotedString(Day(date))
			END IF
			End If
			Response.Write "> / "
			Response.Write "<INPUT TYPE=Text NAME=" & QuotedString(strFieldName & "mm") & " SIZE=4"
			Response.Write " MAXLENGTH=2"
			if IsDate(strFieldValue) Then
				Response.Write " VALUE=" & QuotedString(Month(strFieldValue))
         else
		 	IF strFieldName <> "Expiry" THEN
	            Response.Write " VALUE=" & QuotedString(Month(date))
			END IF
			End If
			Response.Write "> / "
			Response.Write "<INPUT TYPE=Text NAME=" & QuotedString(strFieldName & "yy") & " SIZE=6"
			Response.Write " MAXLENGTH=4"
			if IsDate(strFieldValue) Then
				Response.Write " VALUE=" & QuotedString(Year(strFieldValue))
         else
		 	IF strFieldName <> "Expiry" THEN
	            Response.Write " VALUE=" & QuotedString(Year(date))
			END IF
			End If
			Response.Write "> (dd/mm/yyyy)"
			
		Case Else
			Dim nType 
			nType=rsNews(strFieldName).Type
			If (nType <> adVarChar) and (nType <> adWVarChar) and (nType <> adBSTR) and (nType <> adChar) and (nType <> adWChar)  Then
				intInputSize = (intInputSize-2)*3+2
				If strFormMode <> "Filter" Then intMaxSize = intInputSize - 2
			End If
			If blnIdentity Then
				Select Case strFormMode
					Case "Edit"
						Response.Write ConvertNull(strFieldValue)
						Response.Write "<INPUT TYPE=Hidden NAME=" & QuotedString(strFieldName)
						Response.Write " VALUE=" & QuotedString(strFieldValue) & " >"
					Case "New"
						Response.Write "[AutoNumber]"
						Response.Write "<INPUT TYPE=Hidden NAME=" & QuotedString(strFieldName)
						Response.Write " VALUE=" & QuotedString(strFieldValue) & " >"
					Case "Filter" 
						Response.Write "<INPUT TYPE=Text NAME=" & QuotedString(strFieldName) & " SIZE=" & tInputSize
						Response.Write " MAXLENGTH=" & tMaxSize & " VALUE=" & QuotedString(strFieldValue) & " >"
				End Select
			Else
				If intInputSize > 80 Then intInputSize = 45			
				Response.Write "<INPUT TYPE=Text NAME=" & QuotedString(strFieldName)
				Response.Write " SIZE=" & intInputSize
				Response.Write " MAXLENGTH=" & intMaxSize
				Response.Write " VALUE=" & QuotedString(strFieldValue) 
				If strDisabled then
					Response.Write " disabled "
				end if
				Response.write  " >"
				' Check for special field types
				Select Case UCase(Left(rsNews(strFieldName).Name, 4))
					Case "IMG_"
						If strFieldValue <> "" Then
							Response.Write "<BR><BR><IMG SRC=" & QuotedString(strFieldValue) & "><BR>&nbsp;<BR>"
						End If
					Case "URL_"
						If strFieldValue <> "" Then
							Response.Write "&nbsp;&nbsp;<A HREF=" & QuotedString(strFieldValue) & ">"
							Response.Write "Go"
							Response.Write "</A>"
						End If
					Case Else
						If IsURL(strFieldValue) Then
							Response.Write "&nbsp;&nbsp;<A HREF=" & QuotedString(strFieldValue) & ">"
							Response.Write "Go"
							Response.Write "</A>"
						End If					
				End Select				
			End If
	End Select
   	If blnFieldRequired Then 'And strFormMode = "New" Then
		Response.Write "&nbsp;&nbsp;(Required)"
	End If
	Response.Write "</font></TD></TR>"
End Sub	

SUB SwapValues ( iPos )
	'************************************
	' Procedure to swap the array values
	'************************************
	DIM vTemp

	'Swap all arrays
	vTemp							= sCatList_Name(iPos+1)
	sCatList_Name(iPos+1)	= sCatList_Name(iPos)
	sCatList_Name(iPos)		= vTemp	

	vTemp						= sCatList_ID(iPos+1)
	sCatList_ID(iPos+1)	= sCatList_ID(iPos)
	sCatList_ID(iPos)		= vTemp	
END SUB

SUB BubbleSort ()
	'**************************
	' Procedure to sort arrays
	'**************************
	DIM y, x

	'Sort on Description
	FOR y = (iCatNrecs - 2) to 0 Step -1
		FOR x = 0 TO y
			IF sCatList_Name(x) > sCatList_Name(x+1) THEN
				CALL SwapValues(x)
			END IF
		NEXT
	NEXT

END SUB

%>
<!-- #INCLUDE FILE="Arrays.inc" -->
<%


strFormMode = "Edit"	' Initalize the default
If Not IsEmpty(Request("FormMode")) Then strFormMode = Request("FormMode")
If Not IsEmpty(Request("rsNews_PagingMove")) Then
    strPagingMove = Trim(Request("rsNews_PagingMove"))
End If
%>

<html>
<head>
<%
'*************************
'
' EDIT HERE: Change Title
'
'*************************
%>
	<title>Netsafe Administration</title>

<link rel="stylesheet" href="style.css" type="text/css">

<style>
a	{
	color: #FFFFFF;
	font-family: Arial;
	font-weight: bold;
	font-size: 10pt;
	text-decoration: none;
	}
a:hover	{
	color: #f5822a;
	font-weight: bold;
	}a:link { color: #FFFFFF; }
</style>

<script language="Javascript" src="./JavaScript/ValFuncs.js"></script>

<SCRIPT LANGUAGE="Javascript">
<%
'******************************************
'
' EDIT HERE: Change to correct field names
'
'******************************************
%>
<!--//
function Init() {
	document.forms.AdminForm.NewsDatedd.focus();
}

function chkForm (f) {
	var NewsLtrOK = false;

	with (f) {
		var chkcount=0;

		// Don't validate if Cancel was pressed
		if ( Button.value != "Cancel" ) {

			// Check a day was entered
			if ( isEmpty(NewsDatedd.value) ) {
				alert("Please enter the day part of the date.");
				NewsDatedd.focus();
				return false;
			}
			// Make sure the day is numeric
         if (!IsNumber(NewsDatedd.value, true)) {
           	alert("Please enter a number for the day.");
           	NewsDatedd.focus();
           	return false;
        	}

			// Check a month was entered
			if ( isEmpty(NewsDatemm.value) ) {
				alert("Please enter the month part of the date.");
				NewsDatemm.focus();
				return false;
			}
			// Make sure the month is numeric
         if (!IsNumber(NewsDatemm.value, true)) {
           	alert("Please enter a number for the month.");
           	NewsDatemm.focus();
           	return false;
        	}

			// Check a year was entered
			if ( isEmpty(NewsDateyy.value) ) {
				alert("Please enter the year part of the date.");
				NewsDateyy.focus();
				return false;
			}
			// Make sure the year is numeric
         if (!IsNumber(NewsDateyy.value, true)) {
           	alert("Please enter a number for the year.");
           	NewsDateyy.focus();
           	return false;
        	}

			// Check a headline was entered
			if ( isEmpty(Heading.value) ) {
				alert("Please enter the Headline.");
				Heading.focus();
				return false;
			}

			// Check a Article was entered
			if ( isEmpty(Message.value) ) {
				alert("Please enter the Article.");
				Message.focus();
				return false;
			}

			// Make sure the day is numeric
         if (!IsNumber(Expirydd.value, true)) {
           	alert("Please enter a number for the Expiry day.");
           	Expirydd.focus();
           	return false;
        	}
			// Make sure the month is numeric
         if (!IsNumber(Expirymm.value, true)) {
           	alert("Please enter a number for the Expiry month.");
           	Expirymm.focus();
           	return false;
        	}
			// Make sure the year is numeric
         if (!IsNumber(Expiryyy.value, true)) {
           	alert("Please enter a number for the Expiry year.");
           	Expiryyy.focus();
           	return false;
        	}

		}
	}

	return true;
}

//-->
</SCRIPT>
</head>


<!--------------------------- Formatting Section ------------------------------>

<body bgcolor="#000000" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="Init()">



<!---------------------------- Lookups Section -------------------------------->
<% 
'************************************************************************
'
' EDIT HERE: Change to variable name (and throughout with global change)
'
'************************************************************************
Dim avarCat
strPagingMove = "Requery"

If IsEmpty(Application(strDFName & "_Lookup_Status")) Or strPagingMove = "Requery" Then
    Set cnn = Server.CreateObject("ADODB.Connection")
'    cnn.ConnectionTimeout = Session("g_cnn_ConnectionTimeout")
'    cnn.CommandTimeout = Session("g_cnn_CommandTimeout")
'    cnn.Open sDSN, Session("g_cnn_RuntimeUserName"), Session("g_cnn_RuntimePassword")
     cnn.OPEN sDSN

'*********************************************
'
' EDIT HERE: Change to correct table & fields
'
'*********************************************
	''sSQL = "SELECT * FROM CATEGORY "
	''sSQL = sSQL & "WHERE CategoryID NOT IN (SELECT ParentID FROM CATEGORY) "
	''sSQL = sSQL & "ORDER BY CategoryID,ParentID"

	''Set rsCatList = cnn.Execute(sSQL)
	avarCat = Null
	On Error Resume Next
	''avarCat = rsCatList.GetRows()
	Application.Lock
	Application(strDFName & "_Lookup_Status") = avarCat
	Application.Unlock
Else
	avarCat = Application(strDFName & "_Lookup_Status")
End If
%>

<!---------------------------- Heading Section -------------------------------->

<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td height="20"></td>
	</tr>
	<tr>
		<td bgcolor="#FFFFFF">
			<table height="100%" width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="75" height="78">&nbsp;</td>
					<td height="78">&nbsp;</td>
					<td width="75" height="78">&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td valign="top">

<table border="0" width="100%" cellspacing="0" cellpadding="0" align="center">
<%
'**************************************
'
' EDIT HERE: Change to correct heading
'
'**************************************
%>
	<tr>
		<td colspan="2" class="o_text"><font size="3"><b>Maintain News</b></font></td>
	</tr>
	<tr>
		<td colspan="2">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="2">


<!----------------------------- Form Section ---------------------------------->

			<table CELLSPACING="1" CELLPADDING="1" BORDER="0" WIDTH="100%">
<%
'***************************************
'
' EDIT HERE: Change URL & Hidden Fields
'
'***************************************
%>
				<FORM ACTION="hcsadmin/News-editAction.asp" METHOD="POST" name="AdminForm" enctype="multipart/form-data">
				<input type="hidden" name="Button" value="">
				<input type="hidden" name="rsNews_PagingMove" value="<%=REQUEST("rsNews_PagingMove")%>">
				<input type="hidden" name="SortCol" value="<%=REQUEST("SortCol")%>">
				<input type="hidden" name="S1" value="<%=REQUEST("S1")%>">
				<input type="hidden" name="S2" value="<%=REQUEST("S2")%>">
				<input type="hidden" name="S3" value="<%=REQUEST("S3")%>">

<!--METADATA TYPE="DesignerControl" startspan
	            <OBJECT ID="rsNews" WIDTH=151 HEIGHT=24
		CLASSID="CLSID:F602E721-A281-11CF-A5B7-0080C73AAC7E" dtcid="1">
		<PARAM NAME="BarAlignment" VALUE="0">
       	<PARAM NAME="PageSize" VALUE="1">
		<PARAM Name="RangeType" Value="1">
		<PARAM Name="g_cnnection" Value="<%=sDSN%>">
		<PARAM Name="CommandType" Value="0">
                  '*****************************************
'
' EDIT HERE: Change to correct table name
'
'*****************************************
IF ( ISNULL(REQUEST("Bookmark")) OR ISEMPTY(REQUEST("Bookmark")) OR LEN(TRIM(REQUEST("Bookmark")))=0 ) THEN<PARAM Name="CommandText" Value="SELECT * FROM Product">ELSE<PARAM Name="CommandText" Value="SELECT * FROM Product WHERE ProductID=" & Request("Bookmark")>END IF<PARAM Name="CursorType" Value="1"><PARAM Name="LockType" Value="3"><PARAM Name="CacheRecordset" Value="1"></OBJECT>
-->

<%
fHideNavBar = False
fHideNumber = False
fHideRequery = False
fHideRule = False
stQueryString = ""
fEmptyRecordset = False
fFirstPass = True
fNeedRecordset = False
fNoRecordset = False
tBarAlignment = "Left"
tHeaderName = "rsNews"
tPageSize = 1
tPagingMove = ""
tRangeType = "Form"
tRecordsProcessed = 0
tPrevAbsolutePage = 0
intCurPos = 0
intNewPos = 0
fSupportsBookmarks = True
fMoveAbsolute = False

If Not IsEmpty(Request("rsNews_PagingMove")) Then
    tPagingMove = Trim(Request("rsNews_PagingMove"))
End If

If IsEmpty(Session("rsNews_Recordset")) Then
    fNeedRecordset = True
Else
    If Session("rsNews_Recordset") Is Nothing Then
        fNeedRecordset = True
    Else
        Set rsNews = Session("rsNews_Recordset")
    End If
End If

fNeedRecordset = True
If fNeedRecordset Then
    Set cnn = Server.CreateObject("ADODB.Connection")
'    cnn.ConnectionTimeout = Session("cnn_ConnectionTimeout")
'    cnn.CommandTimeout = Session("cnn_CommandTimeout")
'    cnn.Open Session("cnn_ConnectionString"), Session("cnn_RuntimeUserName"), Session("cnn_RuntimePassword")
    cnn.OPEN sDSN
    
    Set cmdTemp = Server.CreateObject("ADODB.Command")
    Set rsNews = Server.CreateObject("ADODB.Recordset")
'*****************************************
'
' EDIT HERE: Change to correct table name
'
'*****************************************
	 IF ( ISNULL(REQUEST("Bookmark")) OR ISEMPTY(REQUEST("Bookmark")) OR LEN(TRIM(REQUEST("Bookmark")))=0 ) THEN
	 	cmdTemp.CommandText = "SELECT * FROM News"
	 ELSE
    	cmdTemp.CommandText = "SELECT * FROM News WHERE NewsID=" & REQUEST("Bookmark")
    END IF
    cmdTemp.CommandType = 1
    Set cmdTemp.ActiveConnection = cnn
    rsNews.Open cmdTemp, , 1, 3
End If
On Error Resume Next
If rsNews.BOF And rsNews.EOF Then fEmptyRecordset = True
On Error Goto 0
If Err Then fEmptyRecordset = True
If fNeedRecordset Then
    Set Session("rsNews_Recordset") = rsNews
End If
rsNews.PageSize = tPageSize
fSupportsBookmarks = rsNews.Supports(8192)

If Not IsEmpty(Session("rsNews_Filter")) And Not fEmptyRecordset Then
    rsNews.Filter = Session("rsNews_Filter")
    If rsNews.BOF And rsNews.EOF Then fEmptyRecordset = True
End If

If IsEmpty(Session("rsNews_PageSize")) Then Session("rsNews_PageSize") = tPageSize
If IsEmpty(Session("rsNews_AbsolutePage")) Then Session("rsNews_AbsolutePage") = 1

If Session("rsNews_PageSize") <> tPageSize Then
    tCurRec = ((Session("rsNews_AbsolutePage") - 1) * Session("rsNews_PageSize")) + 1
    tNewPage = Int(tCurRec / tPageSize)
    If tCurRec Mod tPageSize <> 0 Then
        tNewPage = tNewPage + 1
    End If
    If tNewPage = 0 Then tNewPage = 1
    Session("rsNews_PageSize") = tPageSize
    Session("rsNews_AbsolutePage") = tNewPage
End If

If fEmptyRecordset Then
    fHideNavBar = True
    fHideRule = True
Else
    tPrevAbsolutePage = Session("rsNews_AbsolutePage")
    Select Case tPagingMove
        Case ""
            fMoveAbsolute = True
        Case "Requery"
            rsNews.Requery
            fMoveAbsolute = True
        Case "<<"
            Session("rsNews_AbsolutePage") = 1
        Case "<"
            If Session("rsNews_AbsolutePage") > 1 Then
                Session("rsNews_AbsolutePage") = Session("rsNews_AbsolutePage") - 1
            End If
        Case ">"
            If Not rsNews.EOF Then
                Session("rsNews_AbsolutePage") = Session("rsNews_AbsolutePage") + 1
            End If
        Case ">>"
            If fSupportsBookmarks Then
                Session("rsNews_AbsolutePage") = rsNews.PageCount
            End If
    End Select
'    Do
'        If fSupportsBookmarks Then
'            rsNews.AbsolutePage = Session("rsNews_AbsolutePage")
'        Else
'            If fNeedRecordset Or fMoveAbsolute Or rsNews.EOF Then
'                rsNews.MoveFirst
'                rsNews.Move (Session("rsNews_AbsolutePage") - 1) * tPageSize
'            Else
'                intCurPos = ((tPrevAbsolutePage - 1) * tPageSize) + tPageSize
'                intNewPos = ((Session("rsNews_AbsolutePage") - 1) * tPageSize) + 1
'                rsNews.Move intNewPos - intCurPos
'            End If
'            If rsNews.BOF Then rsNews.MoveNext
'        End If
'        If Not rsNews.EOF Then Exit Do
'        Session("rsNews_AbsolutePage") = Session("rsNews_AbsolutePage") - 1
'    Loop
End If

Do
    If fEmptyRecordset Then Exit Do
    If tRecordsProcessed = tPageSize Then Exit Do
    If Not fFirstPass Then
        rsNews.MoveNext
    Else
        fFirstPass = False
    End If
    If rsNews.EOF Then Exit Do
    tRecordsProcessed = tRecordsProcessed + 1
%>
                <!--metadata TYPE="DesignerControl" endspan-->

<% 
If strFormMode = "Edit" Then
	Response.Write "<TABLE WIDTH=100% CELLSPACING=1 CELLPADDING=1 BORDER=0>"
%>
				<tr BGCOLOR="#000000" VALIGN="TOP">
					<td colspan="2">
<%
'**************************************
'
' EDIT HERE: Change to correct heading
'
'**************************************
%>
						<font color="#FFFFFF"><b>&nbsp;News : <%=strFormMode%> Record</b></font>
					</td>
				</tr>
				<tr BGCOLOR="SILVER" VALIGN="TOP">
					<td colspan="2"><font class=prodbody>&nbsp;</font></td>
				</tr>
<%
'*********************************************
'
' EDIT HERE: Change to correct list of fields
'
'*********************************************

	 ShowField "NewsDate",	 "News Date", FALSE, Null,    	FALSE, "#FBC79F", FALSE		'light
	 ShowField "Heading",	 "Heading",   FALSE, Null,    	FALSE, "#F8A465", FALSE		'darker
	 ShowField "Message",	 "Article",	  FALSE, Null,    	FALSE, "#FBC79F", FALSE		'light
	 ShowField "nImage",	 "Image",  	  FALSE, Null,    	FALSE, "#F8A465", TRUE		'darker
	 ShowField "Caption",	 "Caption",	  FALSE, Null,    	FALSE, "#FBC79F", FALSE		'light
	 ShowField "Archived",	 "Archived",  FALSE, Null,    	FALSE, "#F8A465", FALSE		'darker
	 ShowField "Expiry",	 "Expiry",	  FALSE, Null,    	FALSE, "#FBC79F", FALSE		'light
%>
				<tr>
					<td colspan=2><br>
			<% 
			If strFormMode = "Form View" then strFormMode = "Edit"
			Select Case strFormMode
				Case "Edit"	
					%>
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Update " onclick="javascript: Button.value='Update';">
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel " onclick="javascript: Button.value='Cancel';">
<!--					<input class=copy TYPE="SUBMIT" NAME="DataAction" VALUE="Delete" onclick="javascript: return ValDelete();">
						<input class=copy TYPE="SUBMIT" NAME="DataAction" VALUE="New">-->
				<% Case "Filter" %>
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Apply " onclick="javascript: Button.value='Apply';">
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel " onclick="javascript: Button.value='Cancel';">
				<% Case "New" %>
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Insert " onclick="javascript: Button.value='Insert';">
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel " onclick="javascript: Button.value='Cancel';">
			<% End Select %>
<!--					&nbsp;<input class=copy TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel ">		 Was List View -->
					</td>
				</tr>
				</form>
			</table>
<%
	stQueryString = "?FormMode=Edit"
	fHideNavBar = False
	fHideRule = True
Else
	fHideNavBar = True
	fHideRule = True
End If 
%>

<!--METADATA TYPE="DesignerControl" startspan
    <OBJECT ID="DataRangeFtr1" WIDTH=151 HEIGHT=24
        CLASSID="CLSID:F602E722-A281-11CF-A5B7-0080C73AAC7E" dtcid="2">
    </OBJECT>
-->
<%
Loop
If tRangeType = "Table" Then Response.Write "</TABLE>"
%>
<!--metadata TYPE="DesignerControl" endspan-->

<% 
If strFormMode <> "Edit" Then
'	Response.Write "<TABLE WIDTH=100% CELLSPACING=0 CELLPADDING=2 BORDER=0>"
%>
				<tr BGCOLOR="#000000" VALIGN="TOP">
					<td colspan="2">
<%
'**************************************
'
' EDIT HERE: Change to correct heading
'
'**************************************
%>
						<font color="#FFFFFF"><b>&nbsp;News : <%=strFormMode%> Record</b></font>
					</td>
				</tr>
				<tr BGCOLOR="SILVER" VALIGN="TOP">
					<td colspan="2"><font class=prodbody>&nbsp;</font></td>
				</tr>
<%
'*********************************************
'
' EDIT HERE: Change to correct list of fields
'
'*********************************************
	 ShowField "NewsDate",	 "News Date", FALSE, Null,    	FALSE, "#FBC79F", FALSE		'light
	 ShowField "Heading",	 "Heading",   FALSE, Null,    	FALSE, "#F8A465", FALSE		'darker
	 ShowField "Message",	 "Article",	  FALSE, Null,    	FALSE, "#FBC79F", FALSE		'light
	 ShowField "nImage",	"Image",  	  FALSE, Null,    	FALSE, "#F8A465", TRUE		'darker
	 ShowField "Caption",	 "Caption",	  FALSE, Null,    	FALSE, "#FBC79F", FALSE		'light
	 ShowField "Archived",	 "Archived",  FALSE, Null,    	FALSE, "#F8A465", FALSE		'darker
	 ShowField "Expiry",	 "Expiry",	  FALSE, Null,    	FALSE, "#FBC79F", FALSE		'light
	 
	 %>
				<tr>
					<td colspan=2><br>
			<% 
			If strFormMode = "Form View" then strFormMode = "Edit"
			Select Case strFormMode
				Case "Edit"	
					%>
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Update " onclick="javascript: Button.value='Update';">
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel " onclick="javascript: Button.value='Cancel';">
<!--					<input class=copy TYPE="SUBMIT" NAME="DataAction" VALUE="Delete" onclick="javascript: return ValDelete();">
						<input class=copy TYPE="SUBMIT" NAME="DataAction" VALUE="New">-->
				<% Case "Filter" %>
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Apply " onclick="javascript: Button.value='Apply';">
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel " onclick="javascript: Button.value='Cancel';">
				<% Case "New" %>
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Insert " onclick="javascript: Button.value='Insert';">
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel " onclick="javascript: Button.value='Cancel';">
			<% End Select %>
<!--					&nbsp;<input class=copy TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel ">		 Was List View -->
					</td>
				</tr>
				</form>
			</table>
<%
End If
%>

<!---------------------------- Footer Section --------------------------------->

<%
' Display a message if there are no records to show
If strFormMode = "Edit" And fEmptyRecordset Then
	Response.Write "<p align=left>No Records Available</p>"
End If
' TEMP: This is here until we get a drop of the data range that has
' 		the CacheRecordset property  
If fNeedRecordset Then
	Set Session("rsNews_Recordset") = rsNews
End If
%>


		</td>
	</tr>
</table>

					</td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td width="75" height="78">&nbsp;</td>
					<td height="78">&nbsp;</td>
					<td width="75" height="78">&nbsp;</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="20"></td>
	</tr>
</table>

</body>
</html>