<%
'Ensure a new copy of the page every time
RESPONSE.EXPIRES=-1
RESPONSE.BUFFER=TRUE

Dim strPagingMove
Dim strDFName

'********************************************************
'
' EDIT HERE: Change the name of this variable throughout
' this page (find/replace), for each table
'
'********************************************************
strDFName = "rsNews"
tHeaderName = "rsNews"

IF ( LEN(TRIM(REQUEST("PageAction")))>0 ) THEN
	IF ( TRIM(UCASE(REQUEST("PageAction")))="ADD NEW" ) THEN
'*******************************************
'
' EDIT HERE: Change to correct column names
'
'*******************************************
		Response.Redirect "News-editForm.asp?FormMode=New&rsNews_PagingMove=" & Session(tHeaderName & "_AbsolutePage") & "&SortCol=" & REQUEST("SortCol") & "&S1=" & REQUEST("S1") & "&S2=" & REQUEST("S2") & "&S3=" & REQUEST("S3")

	END IF
END IF


'---- DataTypeEnum Values ----
Const adUnsignedTinyInt = 17
Const adBoolean = 11
Const adLongVarChar = 201
Const adLongVarWChar = 203
Const adBinary = 128
Const adVarBinary = 204
Const adLongVarBinary = 205
Const adDate = 7
Const adDBDate = 133
Const adDBTime = 134
Const adDBTimeStamp = 135
Const adSingle = 4
Const adDouble = 5
Const adCurrency = 6
Const adDecimal = 14

'-------------------------------------------------------------------------------
' Purpose:  Substitutes Empty for Null and trims leading/trailing spaces
' Inputs:   varTemp	- the target value
' Returns:	The processed value
'-------------------------------------------------------------------------------

Function ConvertNull(varTemp)
	If IsNull(varTemp) Then
		ConvertNull = ""
	Else
		ConvertNull = Trim(varTemp)
	End If
End Function

'-------------------------------------------------------------------------------
' Purpose:  Embeds bracketing quotes around the string
' Inputs:   varTemp	- the target value
' Returns:	The processed value
'-------------------------------------------------------------------------------

Function QuotedString(varTemp)
	If IsNull(varTemp) Then
		QuotedString = Chr(34) & Chr(34)
	Else
		QuotedString = Chr(34) & CStr(varTemp) & Chr(34)
	End If
End Function

'-------------------------------------------------------------------------------
' Purpose:  Tests string to see if it is a URL by looking for protocol
' Inputs:   varTemp	- the target value
' Returns:	True - if is URL, False if not
'-------------------------------------------------------------------------------

Function IsURL(varTemp)
	IsURL = True
	If UCase(Left(Trim(varTemp), 6)) = "HTTP:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 6)) = "FILE:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 8)) = "MAILTO:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 5)) = "FTP:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 8)) = "GOPHER:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 6)) = "NEWS:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 7)) = "HTTPS:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 8)) = "TELNET:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 6)) = "NNTP:/" Then Exit Function
	IsURL = False
End Function

'-------------------------------------------------------------------------------
' Purpose:  Handles the display of a field from a recordset depending
'			on its data type, attributes, and the current mode.
' Assumes: 	That the recordset containing the field is open
' Inputs:   strFieldName 	- the name of the field in the recordset
'			avarLookup		- array of lookup values
'-------------------------------------------------------------------------------
 
Function ShowField(strFieldName, avarLookup, nrec, iFollowLink)
	Dim intRow
	Dim strPartial
	Dim strBool
	Dim nPos
	Dim strcolor

	If nrec Mod 2 = 0 Then
		strcolor = "#FBC79F" 'light  
	Else
		strcolor = "#F8A465" 'darker
	End If

	strFieldValue = ""
	nPos=Instr(strFieldName,".")
	Do While nPos > 0 
		strFieldName= Mid (strFieldName, nPos+1)
		nPos=Instr(strFieldName,".")
	Loop 
	If Not IsNull(avarLookup) Then
		Response.Write "<TD BGCOLOR=" & strcolor & "><font class=prodbody>" 
		For intRow = 0 to UBound(avarLookup, 2)
			If ConvertNull(avarLookup(0, intRow)) = ConvertNull(rsNews(strFieldName)) Then
				Response.Write Server.HTMLEncode(ConvertNull(avarLookup(1, intRow)))
				Exit For
			End If
		Next
		Response.Write "</font></TD>"
		Exit Function
	End If
	
	Select Case rsNews(strFieldName).Type
		Case adBoolean, adUnsignedTinyInt				'Boolean
			strBool = ""
			If rsNews(strFieldName) <> 0 Then
				strBool = "True"
			Else
				strBool = "False"
			End If
			Response.Write "<TD BGCOLOR=" & strcolor & "><font class=prodbody>" & strBool & "</font></TD>"
			
		Case adBinary, adVarBinary, adLongVarBinary		'Binary
			Response.Write "<TD BGCOLOR=" & strcolor & "><font class=prodbody>[Binary]</font></TD>"
			
		Case adLongVarChar, adLongVarWChar				'Memo
			Response.Write "<TD BGCOLOR=" & strcolor & "><font class=prodbody>"
			strPartial = Left(rsNews(strFieldName), 50)			
			If ConvertNull(strPartial) = "" Then
				Response.Write "&nbsp;"
			Else
				Response.Write Server.HTMLEncode(strPartial)
			End If
			If rsNews(strFieldName).ActualSize > 50 Then Response.Write "..."
			Response.Write "</font></TD>"

		Case adDate, adDBDate, adDBTime, adDBTimeStamp			'Date/Time
			Response.Write "<TD BGCOLOR=" & strcolor & "><font class=prodbody>"
			If IsNull(rsNews(strFieldName)) Then
				Response.Write "&nbsp;"
			Else
				strPartial = rsNews(strFieldName)
				Response.Write DAY(strPartial) & "/" & MONTH(strPartial) & "/" & YEAR(strPartial)
			End If
			Response.Write "</font></TD>"

		Case adSingle, adDouble		'Decimal value
			Response.Write "<TD BGCOLOR=" & strcolor & " ALIGN=RIGHT><font class=prodbody>"
			If IsNull(rsNews(strFieldName)) Then
				Response.Write "&nbsp;"
			Else
				strPartial = rsNews(strFieldName)
				Response.Write FORMATNUMBER(strPartial,2)
			End If
			Response.Write "</font></TD>"
			
		Case Else
			Response.Write "<TD BGCOLOR=" & strcolor & " ALIGN=Left><font class=prodbody>"
			If ConvertNull(rsNews(strFieldName)) = "" Then
				Response.Write "&nbsp;"
			Else
				' Check for special field types
				Select Case UCase(Left(rsNews(strFieldName).Name, 4))
					Case "URL_"
						Response.Write "<A HREF=" & QuotedString(rsNews(strFieldName)) & ">"
						Response.Write Server.HTMLEncode(ConvertNull(rsNews(strFieldName)))
						Response.Write "</A>"
					Case Else
						If IsURL(rsNews(strFieldName)) Then
							Response.Write "<A HREF=" & QuotedString(rsNews(strFieldName)) & ">"
							Response.Write Server.HTMLEncode(ConvertNull(rsNews(strFieldName)))
							Response.Write "</A>"
						Else
							IF ( iFollowLink ) THEN
								RESPONSE.WRITE sCatList(rsNews(strFieldName))
							ELSE
								Response.Write Server.HTMLEncode(ConvertNull(rsNews(strFieldName)))
							END IF
						End If
				End Select
			End If
			Response.Write "</font></TD>"
	End Select
End Function

SUB SwapValues ( iPos )
	'************************************
	' Procedure to swap the array values
	'************************************
	DIM vTemp

	'Swap all arrays
	vTemp							= sCatList_Name(iPos+1)
	sCatList_Name(iPos+1)	= sCatList_Name(iPos)
	sCatList_Name(iPos)		= vTemp	

	vTemp						= sCatList_ID(iPos+1)
	sCatList_ID(iPos+1)	= sCatList_ID(iPos)
	sCatList_ID(iPos)		= vTemp	
END SUB

SUB BubbleSort ()
	'**************************
	' Procedure to sort arrays
	'**************************
	DIM y, x

	'Sort on Description
	FOR y = (iCatNrecs-2) to 0 Step -1
		FOR x = 0 TO y
			IF sCatList_Name(x) > sCatList_Name(x+1) THEN
				CALL SwapValues(x)
			END IF
		NEXT
	NEXT

END SUB

%>
<!-- #INCLUDE FILE="Arrays.inc" -->


<html>
<head>
	<title>HCS News Administration</title>

<script language="Javascript">

function ValDelete(url)
{
	if ( confirm('Are you sure you want to delete this record?') )
	{
		window.location=url;
	} 

}
//-->
    </SCRIPT>

<link rel="stylesheet" href="style.css" type="text/css">

<style>
a	{
	color: #000000;
	font-family: Arial;
	font-weight: normal;
	font-size: 8pt;
	text-decoration: none;
	}
a:hover	{
	color: #f5822a;
	font-weight: bold;
	}a:link { color: #000000; }
    </style>
</head>

<!--------------------------- Formatting Section ------------------------------>

<body bgcolor="#000000" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">



<!---------------------------- Lookups Section ------------------------------->

<!---------------------------- Heading Section ------------------------------->

<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td height="20"></td>
	</tr>
	<tr>
		<td bgcolor="#FFFFFF">
			<table height="407" width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="75" height="1"></td>
					<td height="1"></td>
					<td width="75" height="1"></td>
				</tr>
				<tr>
					<td height="393">&nbsp;</td>
					<td valign="top" height="393">
					
					
<table border="0" width="100%" cellspacing="0" cellpadding="0" align="center">
<%
'**************************************
'
' EDIT HERE: Change to correct heading
'
'**************************************
%>
	<tr>
		<td colspan="2" class="o_text"><font size="3"><b>Maintain News</b></font></td>
	</tr>
	<tr>
		<td colspan="2">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="2">


<!----------------------------- List Section --------------------------------->

<%
SortBy = "Archived desc, NewsDate desc"
'****************************************************
'
' EDIT HERE: Change number to number of sort columns
' Also change number of options in select to reflect
' sort columns and supply correct column names.
'
'****************************************************

	SortCol = REQUEST("SortCol")
	SELECT CASE SortCol
		CASE "1"
				SortBy = "Archived desc, NewsDate desc"
		CASE "2"
				SortBy = "Archived desc, Heading"

   END SELECT

'-----------------------------
' Construct the search clause
'-----------------------------
'******************************************************
'
' EDIT HERE: Change number to number of search columns
' and supply correct column names.
'
'******************************************************

SearchBy = ""
 If Not IsEmpty(Request("S1")) Then
	S1 = SERVER.HTMLENCODE(REPLACE(Trim(Request("S1")),"'",""))
	If Len(Trim(S1)) > 0 Then
		If Len(SearchBy) > 0 Then SearchBy = SearchBy & " AND "
		SearchBy = SearchBy & "NewsDate LIKE '%" & S1 & "%'"
	End If
 Else
	S1 = ""
 End If
 If Not IsEmpty(Request("S2")) Then
	S2 = SERVER.HTMLENCODE(REPLACE(Trim(Request("S2")),"'",""))
	If Len(Trim(S2)) > 0 Then
		If Len(SearchBy) > 0 Then SearchBy = SearchBy & " AND "
		SearchBy = SearchBy & "Heading like '%" & S2 & "%'"
	End If
 Else
	S2 = ""
 End If
 If Not IsEmpty(Request("S3")) Then
	S3 = SERVER.HTMLENCODE(REPLACE(Trim(Request("S3")),"'",""))
	If Len(Trim(S3)) > 0 Then
		If Len(SearchBy) > 0 Then SearchBy = SearchBy & " AND "
		SearchBy = SearchBy & "Price = " & CDBL(S3)
	End If
 Else
	S3 = ""
 End If
%>

<form <%= "ACTION=""" & Request.ServerVariables("PATH_INFO") & stQueryString & """" %> METHOD="POST" name="searchForm">

		<table CELLSPACING="1" CELLPADDING="3" BORDER="0" WIDTH="100%">
				<tr BGCOLOR="#000000" VALIGN="TOP">
<%
'**********************************************
'
' EDIT HERE: Change to correct column headings
'
'**********************************************
%>
					<td ALIGN="Left"><font color="#FFFFFF"><b>&nbsp;News Date</b></font></td>
					<td ALIGN="Left"><font color="#FFFFFF"><b>&nbsp;Heading</b></font></td>
					<td ALIGN="Center" colspan="3"><font color="#FFFFFF"><b>Action</b></font></td>
				</tr>
				<tr VALIGN="TOP" BGCOLOR="SILVER">

					<td>
						<input type="radio" value="1" name="SortCol" <% IF REQUEST("SortCol")="1" THEN RESPONSE.WRITE "checked"%>>&nbsp;
						<input type="text" name="S1" size="6" <% IF LEN(TRIM(S1))>0 THEN RESPONSE.WRITE "Value=""" & S1 & """"%> maxlength="20">
					</td>
					<td>
						<input type="radio" value="2" name="SortCol" <% IF REQUEST("SortCol")="2" THEN RESPONSE.WRITE "checked"%>>&nbsp;
<!--						<select size="1" name="S2">
    						<option value="" <% IF (LEN(TRIM(S2))=0) THEN RESPONSE.WRITE "selected" %>>Show All</option>
<%
'Sort the arrays first
CALL BubbleSort()

FOR i = 1 TO iCatNrecs
%>
    						<option value="<%=sCatList_ID(i-1)%>" <%
    		IF ( TRIM(CSTR(sCatList_ID(i-1))) = TRIM(S2) ) THEN RESPONSE.WRITE "selected" %>>
    						<%=sCatList_Name(i-1)%>
    						</option>
<%
NEXT
%>
						</select>-->
						<input type="text" name="S2" size="10" <% IF LEN(TRIM(S2))>0 THEN RESPONSE.WRITE "Value=""" & S2 & """"%> maxlength="20">
					</td>
<!--					<td>
						<input type="radio" value="3" name="SortCol" <% IF REQUEST("SortCol")="3" THEN RESPONSE.WRITE "checked"%>>
						<input type="text" name="S3" size="14" <% IF LEN(TRIM(S3))>0 THEN RESPONSE.WRITE "Value=""" & S3 & """"%> maxlength="50">
					</td>
-->
					<td colspan="3" align="center">
<% If Not fHideRequery Then %>
						<INPUT class="funkybutton" TYPE="Submit" NAME="<% =tHeaderName & "_PagingMove" %>" VALUE=" Requery ">
<% End If %>
					</td>
				</tr>
<%
'*****************************************
'
' EDIT HERE: Change to correct table name
'
'*****************************************
CmdStr = "SELECT * "
CmdStr = CmdStr & "FROM News "
If Len(SearchBy) > 0 Then
	CmdStr = CmdStr & " WHERE " & SearchBy
End If
If Len(SortBy) > 0 Then
	CmdStr = CmdStr & " ORDER BY " & SortBy
End If
%>

<!--METADATA TYPE="DesignerControl" startspan
	            <OBJECT ID="rsNews" WIDTH=151 HEIGHT=24
		CLASSID="CLSID:F602E721-A281-11CF-A5B7-0080C73AAC7E" dtcid="1">
		<PARAM NAME="BarAlignment" VALUE="0">
       	<PARAM NAME="PageSize" VALUE="15">
		<PARAM Name="RangeType" Value="2">
		<PARAM Name="g_cnnection" Value="g_cnn">
		<PARAM Name="CommandType" Value="0">
		<PARAM Name="CommandText" Value="<%=CmdStr%>">
		<PARAM Name="CursorType" Value="1">
		<PARAM Name="LockType" Value="3">
		<PARAM Name="CacheRecordset" Value="1">
    </OBJECT>
-->

<%
If Pagesize="" then Pagesize=50
fHideNavBar = False
fHideNumber = False
fHideRequery = False
fHideRule = False
stQueryString = ""
fEmptyRecordset = False
fFirstPass = True
fNeedRecordset = False
fNoRecordset = False
tBarAlignment = "Left"
tPageSize = Pagesize
tPagingMove = ""
tRangeType = "Table"
tRecordsProcessed = 0
tPrevAbsolutePage = 0
intCurPos = 0
intNewPos = 0
fSupportsBookmarks = True
fMoveAbsolute = False

If Not IsEmpty(Request("rsNews_PagingMove")) Then
    tPagingMove = Trim(Request("rsNews_PagingMove"))
End If

If IsEmpty(Session("rsNews_Recordset")) Then
    fNeedRecordset = True
Else
    If Session("rsNews_Recordset") Is Nothing Then
        fNeedRecordset = True
    Else
        Set rsNews = Session("rsNews_Recordset")
    End If
End If
fNeedRecordset = True

If fNeedRecordset Then
	SET rsCategory = NOTHING
	SET cmdTemp    = NOTHING
	SET cnn   = NOTHING
	Session("rsNews_Recordset") = ""

    Set cnn = Server.CreateObject("ADODB.Connection")
'    cnn.ConnectionTimeout = Session("g_cnn_ConnectionTimeout")
'    cnn.CommandTimeout = Session("g_cnn_CommandTimeout")
'    cnn.Open sDSN, Session("g_cnn_RuntimeUserName"), Session("g_cnn_RuntimePassword")
     cnn.OPEN sDSN
     
    Set cmdTemp = Server.CreateObject("ADODB.Command")
    Set rsNews = Server.CreateObject("ADODB.Recordset")
    cmdTemp.CommandText = CmdStr
    cmdTemp.CommandType = 1
    Set cmdTemp.ActiveConnection = cnn
    rsNews.Open cmdTemp, , 1, 3
End If

On Error Resume Next
If rsNews.BOF And rsNews.EOF Then fEmptyRecordset = True
On Error Goto 0
If Err Then fEmptyRecordset = True
If fNeedRecordset Then
    Set Session("rsNews_Recordset") = rsNews
End If
rsNews.PageSize = tPageSize
fSupportsBookmarks = rsNews.Supports(8192)

If Not IsEmpty(Session("rsNews_Filter")) And Not fEmptyRecordset Then
    rsNews.Filter = Session("rsNews_Filter")
    If rsNews.BOF And rsNews.EOF Then fEmptyRecordset = True
End If

If IsEmpty(Session("rsNews_PageSize")) Then Session("rsNews_PageSize") = tPageSize
If IsEmpty(Session("rsNews_AbsolutePage")) Then Session("rsNews_AbsolutePage") = 1

If Session("rsNews_PageSize") <> tPageSize Then
    tCurRec = ((Session("rsNews_AbsolutePage") - 1) * Session("rsNews_PageSize")) + 1
    tNewPage = Int(tCurRec / tPageSize)
    If tCurRec Mod tPageSize <> 0 Then
        tNewPage = tNewPage + 1
    End If
    If tNewPage = 0 Then tNewPage = 1
    Session("rsNews_PageSize") = tPageSize
    Session("rsNews_AbsolutePage") = tNewPage
End If

If fEmptyRecordset Then
    fHideNavBar = True
    fHideRule = True
Else
    tPrevAbsolutePage = Session("rsNews_AbsolutePage")
    Select Case tPagingMove
        Case ""
            fMoveAbsolute = True
        Case "Requery"
            rsNews.Requery
            fMoveAbsolute = True
        Case "<<"
            Session("rsNews_AbsolutePage") = 1
        Case "<"
            If Session("rsNews_AbsolutePage") > 1 Then
                Session("rsNews_AbsolutePage") = Session("rsNews_AbsolutePage") - 1
            End If
        Case ">"
            If Not rsNews.EOF Then
                Session("rsNews_AbsolutePage") = Session("rsNews_AbsolutePage") + 1
            End If
        Case ">>"
            If fSupportsBookmarks Then
                Session("rsNews_AbsolutePage") = rsNews.PageCount
            End If
	Case Else
	    If IsNumeric(tPagingMove) Then
		If CInt(tPagingMove) > CInt(rsNews.PageCount) Then
			Session("rsNews_AbsolutePage") = rsNews.PageCount
		Else
			Session("rsNews_AbsolutePage") = tPagingMove
		End If
	    End If
    End Select

    If CInt(Session("rsNews_AbsolutePage")) > CInt(rsNews.PageCount) Then
	Session("rsNews_AbsolutePage") = rsNews.PageCount
    End If

    Do
        If fSupportsBookmarks Then
            rsNews.AbsolutePage = Session("rsNews_AbsolutePage")
        Else
            If fNeedRecordset Or fMoveAbsolute Or rsNews.EOF Then
                rsNews.MoveFirst
                rsNews.Move (Session("rsNews_AbsolutePage") - 1) * tPageSize
            Else
                intCurPos = ((tPrevAbsolutePage - 1) * tPageSize) + tPageSize
                intNewPos = ((Session("rsNews_AbsolutePage") - 1) * tPageSize) + 1
                rsNews.Move intNewPos - intCurPos
            End If
            If rsNews.BOF Then rsNews.MoveNext
        End If
        If Not rsNews.EOF Then Exit Do
        Session("rsNews_AbsolutePage") = Session("rsNews_AbsolutePage") - 1
    Loop
End If

'*****************************************
'
' EDIT HERE: Change to correct table name
'
'*****************************************
 DIM rsTotalPages, nTotalPages
	sSQL = "SELECT count(*) AS totalpages FROM News"

	Set rsTotalPages = cnn.Execute(sSQL)
  IF rsTotalPages.EOF THEN
   'do nothing
  ELSE
     nTotalPages = Int(-1*(rsTotalPages("totalpages")/tPageSize))*(-1)
  END IF
 rsTotalPages.CLOSE
set rsTotalPages = nothing
'************************************

LCount = 0
Do
    LCount = LCount + 1
    If fEmptyRecordset Then Exit Do
    If tRecordsProcessed = tPageSize Then Exit Do
    If Not fFirstPass Then
        rsNews.MoveNext
    Else
        fFirstPass = False
    End If
    If rsNews.EOF Then Exit Do
    tRecordsProcessed = tRecordsProcessed + 1
%>
                <!--metadata TYPE="DesignerControl" endspan-->

					<tr VALIGN="TOP">
		<%
		If tPageSize > 0 Then
			tCurRec = ((Session("rsNews_AbsolutePage") - 1) * tPageSize) + tRecordsProcessed
		Else
			tRecordsProcessed = tRecordsProcessed + 1
			tCurRec = tRecordsProcessed
		End If

'*******************************************
'
' EDIT HERE: Change to correct column names
'
'*******************************************

		IF rsNews("Archived")=True AND iFlag<>1 THEN	
			Response.Write "<TR><TD COLSPAN=5 BGCOLOR=#000000 valign=middle align=center width=45><FONT COLOR=#FFFFFF><B>&nbsp;Archived</B></FONT></TD></TR>"
			iFlag=1
		END IF
			ShowField "NewsDate", Null, LCount, False
			ShowField "Heading", Null, LCount, False




		'Display link to perform Archive
		If LCount Mod 2 = 0 Then
			Response.Write "<TD BGCOLOR=#FBC79F valign=middle align=center  width=75><A HREF="	'Light
		Else
			Response.Write "<TD BGCOLOR=#F8A465 valign=middle align=center width=75><A HREF="	'Darker
		End If
IF iFlag<>1 THEN
		Response.Write QuotedString("hcsadmin/News-editAction.asp?Bookmark=" & rsNews("NewsID") & "&DataAction=Archive&rsNews_PagingMove=" & Session(tHeaderName & "_AbsolutePage") & "&SortCol=" & Trim(Request("SortCol")) & "&S1=" & S1 & "&S2=" & S2 & "&S3=" & S3)
		Response.Write " class=sidenav>Archive</A></td>"
ELSE
		Response.Write QuotedString("hcsadmin/News-editAction.asp?Bookmark=" & rsNews("NewsID") & "&DataAction=Unarchive&rsNews_PagingMove=" & Session(tHeaderName & "_AbsolutePage") & "&SortCol=" & Trim(Request("SortCol")) & "&S1=" & S1 & "&S2=" & S2 & "&S3=" & S3)
		Response.Write " class=sidenav>Unarchive</A></td>"
END IF







		'Display link to perform Edit
		If LCount Mod 2 = 0 Then
			Response.Write "<TD BGCOLOR=#FBC79F valign=middle align=center width=45><A HREF="	'Light
		Else
			Response.Write "<TD BGCOLOR=#F8A465 valign=middle align=center width=45><A HREF="	'Darker
		End If
'		Response.Write QuotedString("hcsadmin/News-editAction.asp?Bookmark=" & tCurRec & "&DataAction=Find&rsNews_PagingMove=" & Session(tHeaderName & "_AbsolutePage") & "&SortCol=" & Trim(Request("SortCol")) & "&S1=" & S1 & "&S2=" & S2 & "&S3=" & S3)
		Response.Write QuotedString("hcsadmin/News-editAction.asp?Bookmark=" & rsNews("NewsID") & "&DataAction=Find&rsNews_PagingMove=" & Session(tHeaderName & "_AbsolutePage") & "&SortCol=" & Trim(Request("SortCol")) & "&S1=" & S1 & "&S2=" & S2 & "&S3=" & S3)
		Response.Write " class=sidenav>Edit</A></td>"

		'Display link to perform Delete
		If LCount Mod 2 = 0 Then
			Response.Write "<TD BGCOLOR=#FBC79F valign=middle align=center width=45><A HREF="	'Light
		Else
			Response.Write "<TD BGCOLOR=#F8A465 valign=middle align=center width=45><A HREF="	'Darker
		End If
'****************************************************
'
' EDIT HERE: Change to correct field name (ID field)
'
'****************************************************
		Response.Write QuotedString("JavaScript:ValDelete('hcsadmin/News-editAction.asp?Bookmark=" & rsNews("NewsID") & "&DataAction=Delete&rsNews_PagingMove=" & Session(tHeaderName & "_AbsolutePage") & "&SortCol=" & Trim(Request("SortCol")) & "&S1=" & S1 & "&S2=" & S2 & "&S3=" & S3 & "');")
		Response.Write " class=sidenav>Delete</A></td>"

		fHideRule = True
%>
				</tr>

<!--METADATA TYPE="DesignerControl" startspan
                <OBJECT ID="DataRangeFtr1" WIDTH=151 HEIGHT=24
        CLASSID="CLSID:F602E722-A281-11CF-A5B7-0080C73AAC7E" dtcid="2">
    </OBJECT>
-->
<%
Loop
If tRangeType = "Table" Then Response.Write "</TABLE>"
If tPageSize > 0 Then
    If Not fHideRule Then Response.Write "<HR>"
    If Not fHideNavBar Then
        %>
			<TABLE WIDTH=100% >
				<TR>
            	<TD WIDTH=100% >&nbsp;</td>
				</tr>
				<TR>
            	<TD WIDTH=100%><font class=menunorm>
<%
                If Not fHideNumber Then
                    If tPageSize > 1 Then
                        Response.Write "Page " & Session(tHeaderName & "_AbsolutePage") & " of "
                    Else
                        Response.Write "Record " & Session(tHeaderName & "_AbsolutePage") & " of "
                    End If
                End If
%>
				Result Pages: 
<%
For i = 1 to rsNews.PageCount
	If Not i > 20 Then
		If CInt(i) = CInt(Session("rsNews_AbsolutePage"))Then
			Response.Write "<b>" & i & "</b>&nbsp;"
		Else
'*********************************************
'
' EDIT HERE: Change to number of sort columns 
' and search columns, also change URL
'
'*********************************************
			Response.Write "<a class=sidenav href=News-editList.asp?rsNews_PagingMove=" & i
			Response.Write "&SortCol=" & Trim(Request("SortCol"))
			Response.Write "&S1=" & S1 & "&S2=" & S2 & "&S3=" & S3
			Response.Write ">" & i & "</a>&nbsp;"
		End If
	Else
		If Not i > 21 Then
'*********************************************
'
' EDIT HERE: Change to number of sort columns 
' and search columns, also change URL
'
'*********************************************
			Response.Write "&nbsp;&nbsp;&nbsp;<a class=sidenav href=News-editList.asp?rsNews_PagingMove=&gt;"
			Response.Write "&SortCol=" & Trim(Request("SortCol"))
			Response.Write "&S1=" & S1 & "&S2=" & S2 & "&S3=" & S3
			Response.Write ">[Next>>]</a>"
		End If
	End If
Next
%>
					</font></td>
				</tr>
				<TR>
            	<TD WIDTH=100% >&nbsp;</td>
				</tr>

				<TR>
            	<TD WIDTH=100% >
                	<P ALIGN=<%= tBarAlignment %> >
                
                  <INPUT class="funkybutton" TYPE="Submit" NAME="<%= tHeaderName & "_PagingMove" %>" VALUE="   &lt;&lt;   ">
                  <INPUT class="funkybutton" TYPE="Submit" NAME="<%= tHeaderName & "_PagingMove" %>" VALUE="   &lt;    ">
                  <INPUT class="funkybutton" TYPE="Submit" NAME="<%= tHeaderName & "_PagingMove" %>" VALUE="    &gt;   ">
                  <% 'If fSupportsBookmarks Then %>
                      <INPUT class="funkybutton" TYPE="Submit" NAME="<%= tHeaderName & "_PagingMove" %>" VALUE="   &gt;&gt;   ">
                  <% 'End If %>
					   <input class="funkybutton" TYPE="SUBMIT" NAME="PageAction" VALUE="Add New">
                	</P>
            	</TD>
        		</TR>
			</TABLE>
<%
    Else
%>
			<TABLE WIDTH=100% >
				<TR>
					<TD WIDTH=100%>&nbsp;&nbsp;No Records Found</td>	
				</tr>
				<TR>
					<TD WIDTH=100%>&nbsp;</td>	
				</tr>
				<TR>
					<TD WIDTH=100%><input class="funkybutton" TYPE="SUBMIT" NAME="PageAction" VALUE="Add New"></td>	
				</tr>
			</table>
<%
    End If
Else
%>
			<TABLE WIDTH=100% >
				<TR>
					<TD WIDTH=100%>&nbsp;&nbsp;No Records Found</td>	
				</tr>
				<TR>
					<TD WIDTH=100%>&nbsp;</td>	
				</tr>
				<TR>
					<TD WIDTH=100%><input class="funkybutton" TYPE="SUBMIT" NAME="PageAction" VALUE="Add New"></td>	
				</tr>
			</table>
<%
End If
rsNews.Close
cnn.close
%>
                <!--metadata TYPE="DesignerControl" endspan-->

<!---------------------------- Footer Section -------------------------------->

<% 
' TEMP: cache here until CacheRecordset property is implemented in
' 		data range
If fNeedRecordset Then
	Set Session("rsNews_Recordset") = rsNews
End If 
%>

</form>

		</td>
	</tr>
</table>

					</td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td width="75" height="78">&nbsp;</td>
					<td height="78">&nbsp;</td>
					<td width="75" height="78">&nbsp;</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="47"></td>
	</tr>
</table>

</body>
</html>