<!--#include file="../../vsadmin/db_conn_open.asp"-->
<%
RESPONSE.EXPIRES=-1
RESPONSE.BUFFER=TRUE
'HCS WTD SEP 11 2007 CODE FOR ASP PRODUCT REVIEW MOD VER. 5.4.3
Dim strDFName
Dim strErrorAdditionalInfo

strDFName = "rsReviews"

'---- FieldAttributeEnum Values ----
Const adFldUpdatable = &H00000004
Const adFldUnknownUpdatable = &H00000008
Const adFldIsNullable = &H00000020

'---- CursorTypeEnum Values ----
Const adOpenForwardOnly = 0
Const adOpenKeyset = 1
Const adOpenDynamic = 2
Const adOpenStatic = 3

'---- DataTypeEnum Values ----
Const adUnsignedTinyInt = 17
Const adBoolean = 11
Const adDate = 7
Const adDBDate = 133
Const adDBTime = 134
Const adDBTimeStamp = 135
Const adBSTR = 8
Const adChar = 129
Const adVarChar = 200
Const adLongVarChar = 201
Const adWChar = 130
Const adVarWChar = 202
Const adLongVarWChar = 203
Const adBinary = 128
Const adVarBinary = 204
Const adLongVarBinary = 205

'---- Error Values ----
Const errInvalidPrefix = 20001		'Invalid wildcard prefix
Const errInvalidOperator = 20002	'Invalid filtering operator
Const errInvalidOperatorUse = 20003	'Invalid use of LIKE operator
Const errNotEditable = 20011		'Field not editable
Const errValueRequired = 20012		'Value required

'-------------------------------------------------------------------------------
' Purpose:  Substitutes Null for Empty
' Inputs:   varTemp	- the target value
' Returns:	The processed value
'-------------------------------------------------------------------------------

Function RestoreNull(varTemp)
	If Trim(varTemp) = "" Then
		RestoreNull = Null
	Else
		RestoreNull = varTemp
	End If
End Function

Sub RaiseError(intErrorValue, strFieldName)
	Dim strMsg	
	Select Case intErrorValue
		Case errInvalidPrefix
			strMsg = "Wildcard characters * and % can only be used at the end of the criteria"
		Case errInvalidOperator
			strMsg = "Invalid filtering operators - use <= or >= instead."
		Case errInvalidOperatorUse
			strMsg = "The 'Like' operator can only be used with strings."
		Case errNotEditable
			strMsg = strFieldName & " field is not editable."
		Case errValueRequired
			strMsg = "A value is required for " & strFieldName & "."
	End Select
	Err.Raise intErrorValue, "DataForm", strMsg
End Sub

'-------------------------------------------------------------------------------
' Purpose:  Converts to subtype of string - handles Null cases
' Inputs:   varTemp	- the target value
' Returns:	The processed value
'-------------------------------------------------------------------------------

Function ConvertToString(varTemp)
	If IsNull(varTemp) Then
		ConvertToString = Null
	Else
		ConvertToString = CStr(varTemp)
	End If
End Function

Function IsEqual(ByVal varTemp1, ByVal varTemp2)
	IsEqual = False
	If IsNull(varTemp1) And IsNull(varTemp2) Then
		IsEqual = True
	Else
		If IsNull(varTemp1) Then Exit Function
		If IsNull(varTemp2) Then Exit Function
	End If
	If varTemp1 = varTemp2 Then IsEqual = True
End Function

Function IsRequiredField(strFieldName)
	IsRequiredField = False
	If (rsReviews(strFieldName).Attributes And adFldIsNullable) = 0 Then 
		IsRequiredField = True
	End If
End Function

Function CanUpdateField(strFieldName)
	Dim intUpdatable
	intUpdatable = (adFldUpdatable Or adFldUnknownUpdatable)
	CanUpdateField = True
	If (rsReviews(strFieldName).Attributes And intUpdatable) = False Then
		CanUpdateField = False
	End If
End Function

Function InsertField(strFieldName)
	InsertField = True
	Select Case rsReviews(strFieldName).Type
 		Case adBinary, adVarBinary, adLongVarBinary		'Binary
      Case adDate, adDBDate, adDBTime, adDBTimeStamp	  'Date/Time
			If CanUpdateField(strFieldName) Then
				If Not Len(Trim(Request(strFieldName & "dd")))=0 And Not Len(Trim(Request(strFieldName & "mm")))=0 And Not Len(Trim(Request(strFieldName & "yy")))=0 Then
					TempStr = RestoreNull(Request(strFieldName & "dd")) & "/" & RestoreNull(Request(strFieldName & "mm")) & "/" & RestoreNull(Request(strFieldName & "yy"))
               
					If IsRequiredField(strFieldName) Then
						RaiseError errValueRequired, strFieldName
						InsertField = False
						Exit Function
					End If

					If IsDate(TempStr) Then	rsReviews(strFieldName) = TempStr
				End If
			End If
		Case Else
			If CanUpdateField(strFieldName) Then
				If IsRequiredField(strFieldName) And IsNull(RestoreNull(Request(strFieldName))) Then
					RaiseError errValueRequired, strFieldName
					InsertField = False
					Exit Function
				End If				
				rsReviews(strFieldName) = RestoreNull(Request(strFieldName))
			End If
	End Select
End Function

Function UpdateField(strFieldName)
	UpdateField = True
	Select Case rsReviews(strFieldName).Type
 		Case adBinary, adVarBinary, adLongVarBinary		'Binary
		Case adDate, adDBDate, adDBTime, adDBTimeStamp		'Date/Time
			' Only update if the value has changed
			FormDateStr = RestoreNull(Request(strFieldName & "dd")) & "/" & RestoreNull(Request(strFieldName & "mm")) & "/" & RestoreNull(Request(strFieldName & "yy"))

			If IsDate(rsReviews(strFieldName)) Then
				DBDateStr = Day(rsReviews(strFieldName)) & "/" & Month(rsReviews(strFieldName)) & "/" & Year(rsReviews(strFieldName))
			End If

			If Not IsEqual(DBDateStr, FormDateStr) Then
				If CanUpdateField(strFieldName) Then
					If Not Len(Trim(Request(strFieldName & "dd")))=0 And Not Len(Trim(Request(strFieldName & "mm")))=0 And Not Len(Trim(Request(strFieldName & "yy")))=0 Then
						If IsRequiredField(strFieldName) Then
							RaiseError errValueRequired, strFieldName
							UpdateField = False
							Exit Function
						End If
					Else
						FormDataStr=""
					End If

					If IsDate(FormDateStr) Then rsReviews(strFieldName) = FormDateStr
				Else
					RaiseError errNotEditable, strFieldName
					UpdateField = False
				End If
			End If
		Case Else
			' Only update if the value has changed
			If Not IsEqual(ConvertToString(rsReviews(strFieldName)), RestoreNull(Request(strFieldName))) Then
				If CanUpdateField(strFieldName) Then						
					If IsRequiredField(strFieldName) And IsNull(RestoreNull(Request(strFieldName))) Then
						RaiseError errValueRequired, strFieldName
						UpdateField = False
						Exit Function
					End If				
					rsReviews(strFieldName) = RestoreNull(Request(strFieldName))
				Else
					RaiseError errNotEditable, strFieldName
					UpdateField = False
				End If
			End If
	End Select
End Function

Sub FilterField(ByVal strFieldName, avarLookup)
	Dim strFieldDelimiter
	Dim strDisplayValue
	Dim strValue
	Dim intRow
	strValue = Request(strFieldName)
	strDisplayValue = Request(strFieldName)
	
	' If empty then exit right away
	If Request(strFieldName) = "" Then Exit Sub
	
	' Concatenate the And boolean operator
	If strWhere <> "" Then strWhere = strWhere & " And"
	If strWhereDisplay <> "" Then strWhereDisplay = strWhereDisplay & " And"
	
	' If lookup field, then use lookup value for display
	If Not IsNull(avarLookup) Then
		For intRow = 0 to UBound(avarLookup, 2)
			If CStr(avarLookup(0, intRow)) = Request(strFieldName) Then
				strDisplayValue = avarLookup(1, intRow)
				Exit For
			End If
		Next
	End If
	
	' Set delimiter based on data type
	Select Case rsReviews(strFieldName).Type
		Case adBSTR, adChar, adWChar, adVarChar, adVarWChar	'string types
			strFieldDelimiter = "'"
		Case adLongVarChar, adLongVarWChar					'long string types
			strFieldDelimiter = "'"				
		Case adDate, adDBDate, adDBTimeStamp				'date types
			strFieldDelimiter = "#"
		Case Else
			strFieldDelimiter = ""
	End Select
	
	' Modifies script level variables
	strWhere = strWhere & " " & PrepFilterItem(strFieldName, strValue, strFieldDelimiter)
	strWhereDisplay = strWhereDisplay & " " & PrepFilterItem(strFieldName, strDisplayValue, strFieldDelimiter)

End Sub

Function PrepFilterItem(ByVal strFieldName, ByVal strCriteria, ByVal strDelimiter)
	Dim strOperator
	Dim intEndOfWord
	Dim strWord

	strCriteria = Trim(strCriteria)	'remove leading/trailing spaces
	strOperator = "="				'sets default
	strValue = strCriteria			'sets default

	' Get first word and look for operator
	intEndOfWord = InStr(strCriteria, " ")
	If intEndOfWord Then
		strWord = UCase(Left(strCriteria, intEndOfWord - 1))
		' See if the word is an operator
		Select Case strWord
			Case "=", "<", ">", "<=", ">=",  "<>", "LIKE"
				strOperator = strWord
				strValue = Trim(Mid(strCriteria, intEndOfWord + 1))
			Case "=<", "=>"
				RaiseError errInvalidOperator, strFieldName
		End Select
	Else
		strWord = UCase(Left(strCriteria, 2))
		Select Case strWord
			Case "<=", ">=", "<>"
				strOperator = strWord
				strValue = Trim(Mid(strCriteria, 3))
			Case "=<", "=>"
				RaiseError errInvalidOperator, strFieldName
			Case Else
				strWord = UCase(Left(strCriteria, 1))
				Select Case strWord
					Case "=", "<", ">"
						strOperator = strWord
						strValue = Trim(Mid(strCriteria, 2))
				End Select
		End Select
	End If

	' Make sure LIKE is only used with strings
	If strOperator = "LIKE" and strDelimiter <> "'" Then
		RaiseError errInvalidOperatorUse, strFieldName
	End If		

	' Strip any extraneous delimiters because we add them anyway
	' Single Quote
	If Left(strValue, 1) = Chr(39) Then strValue = Mid(strValue, 2)
	If Right(strValue, 1) = Chr(39) Then strValue = Left(strValue, Len(strValue) - 1)

	' Double Quote - just in case
	If Left(strValue, 1) = Chr(34) Then strValue = Mid(strValue, 2)
	If Right(strValue, 1) = Chr(34) Then strValue = Left(strValue, Len(strValue) - 1)

	' Pound sign - dates
	If Left(strValue, 1) = Chr(35) Then strValue = Mid(strValue, 2)
	If Right(strValue, 1) = Chr(35) Then strValue = Left(strValue, Len(strValue) - 1)
    
	' Check for leading wildcards
	If Left(strValue, 1) = "*" Or Left(strValue, 1) = "%" Then
		RaiseError errInvalidPrefix, strFieldName
	End If
	
	PrepFilterItem = "[" & strFieldName & "]" & " " & strOperator & " " & strDelimiter & strValue & strDelimiter
End Function

Sub FeedbackField(strFieldLabel, strFieldName, avarLookup)
	Dim strBool
	Dim intRow
	Response.Write "<TR VALIGN=TOP>"
    Response.Write "<TD ALIGN=Left><FONT SIZE=-1><B>&nbsp;&nbsp;" & strFieldLabel & "</B></FONT></TD>"
	Response.Write "<TD BGCOLOR=White WIDTH=100% ALIGN=Left><FONT SIZE=-1>"
	
	' Test for lookup
	If Not IsNull(avarLookup) Then
		For intRow = 0 to UBound(avarLookup, 2)
			If CStr(avarLookup(0, intRow)) = Request(strFieldName) Then
				Response.Write avarLookup(1, intRow)
				Exit For
			End If
		Next
		Response.Write "</FONT></TD></TR>"
		Exit Sub
	End If
	
	' Test for empty
	If Request(strFieldName) = "" Then
		Response.Write "&nbsp;"
		Response.Write "</FONT></TD></TR>"
		Exit Sub
	End If
	
	' Test the data types and display appropriately	
	Select Case rsReviews(strFieldName).Type
		Case adBoolean, adUnsignedTinyInt				'Boolean
			strBool = ""
			If Request(strFieldName) <> 0 Then
				strBool = "True"
			Else
				strBool = "False"
			End If
			Response.Write strBool
		Case adBinary, adVarBinary, adLongVarBinary		'Binary
			Response.Write "[Binary]"
		Case adLongVarChar, adLongVarWChar				'Memo
			Response.Write Request(strFieldName)
		Case Else
			If Not CanUpdateField(strFieldName) Then
				Response.Write "[AutoNumber]"
			Else
				Response.Write Request(strFieldName)
			End If
	End Select
	Response.Write "</FONT></TD></TR>"
End Sub

If Not IsEmpty(Request("DataAction")) Then
	strDataAction = Trim(Request("DataAction"))
Else
	Response.Redirect "review-editform.asp&FormMode=Edit"
End If


Select Case strDataAction
	
	Case "Cancel"	'Was List View

		Response.Redirect "../reviewadmin.asp?rsReviews_PagingMove=" & REQUEST("rsReviews_PagingMove") & "&SortCol=" & REQUEST("SortCol") & "&S1=" & REQUEST("S1") & "&S2=" & REQUEST("S2") & "&S3=" & REQUEST("S3")


	Case "Filter"
	
		On Error Resume Next
		Session("rsReviews_Filter") = ""
		Session("rsReviews_FilterDisplay") = ""
		Session("rsReviews_Recordset").Filter = ""
		Response.Redirect "../reviewedit.asp?FormMode=" & strDataAction

	Case "New"
	
		On Error Resume Next
		Session("rsReviews_Filter") = ""
		Session("rsReviews_FilterDisplay") = ""
		Session("rsReviews_Recordset").Filter = ""

		Response.Redirect "../reviewedit.asp?FormMode=" & strDataAction & "&rsReviews_PagingMove=" & REQUEST("rsReviews_PagingMove") & "&SortCol=" & REQUEST("SortCol") & "&S1=" & REQUEST("S1") & "&S2=" & REQUEST("S2") & "&S3=" & REQUEST("S3")

	Case "Find"

		Response.Redirect "reviewedit.asp?rsReviews_PagingMove=" & REQUEST("rsReviews_PagingMove") & "&Bookmark=" & REQUEST("Bookmark") & "&SortCol=" & REQUEST("SortCol") & "&S1=" & REQUEST("S1") & "&S2=" & REQUEST("S2") & "&S3=" & REQUEST("S3")

	Case "All Records"
	
		On Error Resume Next
		Session("rsReviews_Filter") = ""
		Session("rsReviews_FilterDisplay") = ""
		Session("rsReviews_Recordset").Filter = ""
		Session("rsReviews_AbsolutePage") = 1
		Response.Redirect "../reviewedit.asp"

	Case "Apply"

		On Error Resume Next
		
		' Make sure we exit and re-process the form if session has timed out
		If IsEmpty(Session("rsReviews_Recordset")) Then
			Response.Redirect "../reviewedit.asp?FormMode=Edit"
		End If
		
		Set rsReviews = Session("rsReviews_Recordset")

		strWhere = ""
		strWhereDisplay = ""

		FilterField "revDate", Null
		FilterField "revProdID", Null
		FilterField "revPersone", Null
		FilterField "revReview", Null
		
		' Filter the recordset
		If strWhere <> "" Then
			Session("rsReviews_Filter") = strWhere
			Session("rsReviews_FilterDisplay") = strWhereDisplay
			Session("rsReviews_AbsolutePage") = 1
		Else
			Session("rsReviews_Filter") = ""
			Session("rsReviews_FilterDisplay") = ""
		End If

		' Jump back to the form
		If Err.Number = 0 Then Response.Redirect "../reviewedit.asp"

	Case "Insert"

		On Error Resume Next		

		' Make sure we exit and re-process the form if session has timed out
		If IsEmpty(Session("rsReviews_Recordset")) Then
			Response.Redirect "../reviewedit.as?FormMode=Edit"
		End If
		
		Set rsReviews = Session("rsReviews_Recordset")
		rsReviews.AddNew
		
		Do

			If Not InsertField("revDate") Then Exit Do
			If Not InsertField("revProdID") Then Exit Do
			If Not InsertField("revPerson") Then Exit Do
			If Not InsertField("revReview") Then Exit Do
			If Not InsertField("revRating") Then Exit Do
			If Not InsertField("Approved") Then Exit Do
			'rsReviews("DateAdded") = DATE()

			rsReviews.Update
			Exit Do
		Loop

		If Err.Number <> 0 Then
			If rsReviews.EditMode Then rsReviews.CancelUpdate
		Else
			If IsEmpty(Session("rsReviews_AbsolutePage")) Or Session("rsReviews_AbsolutePage") = 0 Then
				Session("rsReviews_AbsolutePage") = 1
			End If
			' Requery static cursor so inserted record is visible
			If rsReviews.CursorType = adOpenStatic Then rsReviews.Requery
			Session("rsReviews_Status") = "Record has been inserted"
		End If

		Response.Redirect "../reviewadmin.asp?rsReviews_PagingMove=" & REQUEST("rsReviews_PagingMove") & "&SortCol=" & REQUEST("SortCol") & "&S1=" & REQUEST("S1") & "&S2=" & REQUEST("S2") & "&S3=" & REQUEST("S3")

	Case "Update"

		On Error Resume Next		

		' Make sure we exit and re-process the form if session has timed out
		If IsEmpty(Session("rsReviews_Recordset")) Then
			Response.Redirect "../reviewedit.asp?FormMode=Edit"
		End If
		
		Set rsReviews = Session("rsReviews_Recordset")
		If rsReviews.EOF and rsReviews.BOF Then Response.Redirect "../reviewedit.asp"
		
		Do

			If Not UpdateField("revDate") Then Exit Do
			If Not UpdateField("revProdID") Then Exit Do
			If Not UpdateField("revPerson") Then Exit Do
			If Not UpdateField("revReview") Then Exit Do
			If Not UpdateField("revRating") Then Exit Do
			If Not UpdateField("Approved") Then Exit Do

			If rsReviews.EditMode Then rsReviews.Update
			Exit Do
		Loop

		If Err.Number <> 0 Then
			If rsReviews.EditMode Then rsReviews.CancelUpdate
		End If


		Response.Redirect "../reviewadmin.asp?rsReviews_PagingMove=" & REQUEST("rsReviews_PagingMove") & "&SortCol=" & REQUEST("SortCol") & "&S1=" & REQUEST("S1") & "&S2=" & REQUEST("S2") & "&S3=" & REQUEST("S3")

	Case "Delete"

		'On Error Resume Next

		'Connect to the database
		SET cnn = SERVER.CREATEOBJECT("ADODB.Connection")
		cnn.OPEN sDSN


		sSqlCmd = "DELETE FROM reviews WHERE revID=" & REQUEST("Bookmark")
		SET rsReviews = cnn.EXECUTE(sSqlCmd)

		SET cnn = NOTHING

	Response.Redirect "../reviewadmin.asp?rsReviews_PagingMove=" & REQUEST("rsReviews_PagingMove") & "&SortCol=" & REQUEST("SortCol") & "&S1=" & REQUEST("S1") & "&S2=" & REQUEST("S2") & "&S3=" & REQUEST("S3")
		

End Select
%>
<%

   If Err Then %>
	<%
	' Add additional error information to clarify specific errors
	Select Case Err.Number
		Case -2147467259
			strErrorAdditionalInfo = "  This may be caused by an attempt to update a non-primary table in a view."
		Case Else
			strErrorAdditionalInfo = ""
	End Select
	%>
	<html>
	<head>
		<meta NAME="GENERATOR" CONTENT="Microsoft FrontPage 5.0">
		<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-7">
		<meta NAME="keywords" CONTENT="Microsoft Data Form, Advertiser Form">
<%
%>
		<title>HCS Administration</title>
	</head>
	<basefont FACE="Arial, Helvetica, sans-serif">
	<link REL="STYLESHEET" HREF="../Style.css">
	<body BACKGROUND="../Images/Redside/Background/Back2.jpg" BGCOLOR="White">
	<TABLE WIDTH="100%" BORDER="0" CELLSPACING="0" CELLPADDING="0">
	  <TR> 
	    <TD WIDTH="2%"><IMG SRC="../../images/clr-dot.gif" WIDTH="20" HEIGHT="11"></TD>
	    <TD WIDTH="98%" ALIGN="LEFT"><IMG SRC="../../images/clr-dot.gif" WIDTH="5" HEIGHT="11"></TD>
	  </TR>
	  <TR> 
	    <TD WIDTH="2%" VALIGN="TOP"><IMG SRC="../../images/clr-dot.gif" WIDTH="20" HEIGHT="5"></TD>
	    <TD WIDTH="98%"> 
	      <TABLE WIDTH="95% cellpadding="2" cellspacing="0" BORDER="0">
	        <TR> 
          <TD CLASS="secttitle">
	<table WIDTH="100%" CELLSPACING="0" CELLPADDING="0" BORDER="0">
		<tr>
			<th COLSPAN="2" NOWRAP ALIGN="Left" CLASS="secttitle">
				&nbsp;MESSAGE<BR><BR>
			</th>
		</tr>
		<tr>
			<td COLSPAN="2">
			<font SIZE="3"><b>
			<% 
			Select Case strDataAction
				Case "Insert"
					Response.Write("Unable to insert the record into database.")
				Case "Update"
					Response.Write("Unable to post the updated record to database.")
				Case "Delete"
					Response.Write("Unable to delete the record from database.")
			End Select
			%>
			</b></font>
			</td>
		</tr>
	</table>
	<table WIDTH="100%" CELLSPACING="1" CELLPADDING="2" BORDER="0">
		<tr>
			<td ALIGN="Left" BGCOLOR="Silver" CLASS="secttitle"><font COLOR="#000000"><b>&nbsp;&nbsp;Item</b></font></td>
			<td WIDTH="100%" ALIGN="Left" BGCOLOR="Silver" CLASS="secttitle"><font COLOR="#000000"><b>Description</b></font></td>
		</tr>
		<tr>
			<td BGCOLOR="White" CLASS="secttitle"><font COLOR="#000000"><b>&nbsp;&nbsp;Source:</b></font></td>
			<td BGCOLOR="White" class="copy"><font COLOR="#000000"><%= Err.Source %></td>
		</tr>
		<tr>
			<td BGCOLOR="White" NOWRAP CLASS="secttitle"><font COLOR="#000000"><b>&nbsp;&nbsp;Error Number:</b></font></td>
			<td BGCOLOR="White" class="copy"><font COLOR="#000000"><%= Err.Number %></font></td>
		</tr>
		<tr>
			<td BGCOLOR="White" CLASS="secttitle"><font COLOR="#000000"><b>&nbsp;&nbsp;Description:</b></font></td>
			<td BGCOLOR="White" class="copy"><font COLOR="#000000"><%= Server.HTMLEncode(Err.Description & strErrorAdditionalInfo) %></font></td>
		</tr>
		<tr>
			<td><BR>
			<% Response.Write "<FORM ACTION=""../reviewedit.asp"" METHOD=""POST"">"
 %>
			<input TYPE="Hidden" NAME="FormMode" VALUE="Edit">
			<input TYPE="SUBMIT" VALUE="Form View">
			</form>
			</td>
			<td>
			<font class="copy">
			To return to the form view with the previously entered 
			information intact, use your browsers &quot;back&quot; button
			</font>
			</td>
		</tr>
	</table>
		        </TR>
		      </TABLE>
		      <BR>
		      <BR>
		    </TD>
		  </TR>
</TABLE>
	</body>
	</html>

<% Else %>
<%
 Response.Redirect "../reviewedit.asp?rsReviews_PagingMove=" & REQUEST("rsReviews_PagingMove") & "&SortCol=" & REQUEST("SortCol") & "&S1=" & REQUEST("S1") & "&S2=" & REQUEST("S2") & "&S3=" & REQUEST("S3")
%>
<% 
End If 
Set rsReviews = Nothing
%>