<%
'=========================================
'This code is copyright (c) Hanley's Computer Services, all rights reserved.
'The contents of this file are protect under law as the intellectual property
'of Hanley's Computer Services. Any use, reproduction, disclosure or copying
'of any kind without the express and written permission of Hanley's Computer 
'Services is forbidden.
'Author: Gary Hanley, info@hcsfixit.com
'Ensure a new copy of the page every time
'HCS WTD SEP 11 2007 CODE FOR ASP PRODUCT REVIEW MOD VER. 5.4.3
RESPONSE.EXPIRES=-1
RESPONSE.BUFFER=TRUE

Dim strPagingMove	
Dim strFormMode
Dim strDFName

'********************************************************
'
' EDIT HERE: Change the name of this variable throughout
' this page (find/replace), for each table
'
'********************************************************
strDFName = "rsReviews"

'---- FieldAttributeEnum Values ----
Const adFldUpdatable = &H00000004
Const adFldUnknownUpdatable = &H00000008
Const adFldIsNullable = &H00000020

'---- DataTypeEnum Values ----
Const adUnsignedTinyInt = 17
Const adBoolean = 11
Const adLongVarChar = 201
Const adLongVarWChar = 203
Const adBinary = 128
Const adVarBinary = 204
Const adLongVarBinary = 205
Const adVarChar = 200
Const adWVarChar = 202
Const adBSTR = 8
Const adChar = 129
Const adWChar = 130
Const adDate = 7
Const adDBDate = 133
Const adDBTime = 134
Const adDBTimeStamp = 135
'---- Other Values ----
Const dfMaxSize = 100

'-------------------------------------------------------------------------------
' Purpose:  Substitutes Empty for Null and trims leading/trailing spaces
' Inputs:   varTemp	- the target value
' Returns:	The processed value
'-------------------------------------------------------------------------------

Function ConvertNull(varTemp)
	If IsNull(varTemp) Then
		ConvertNull = ""
	Else
		ConvertNull = Trim(varTemp)
	End If
End Function

'-------------------------------------------------------------------------------
' Purpose:  Embeds bracketing quotes around the string
' Inputs:   varTemp	- the target value
' Returns:	The processed value
'-------------------------------------------------------------------------------

Function QuotedString(varTemp)
	If IsNull(varTemp) Then
		QuotedString = Chr(34) & Chr(34)
	Else
		QuotedString = Chr(34) & CStr(varTemp) & Chr(34)
	End If
End Function

'-------------------------------------------------------------------------------
' Purpose:  Tests string to see if it is a URL by looking for protocol
' Inputs:   varTemp	- the target value
' Returns:	True - if is URL, False if not
'-------------------------------------------------------------------------------

Function IsURL(varTemp)
	IsURL = True
	If UCase(Left(Trim(varTemp), 6)) = "HTTP:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 6)) = "FILE:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 8)) = "MAILTO:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 5)) = "FTP:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 8)) = "GOPHER:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 6)) = "NEWS:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 7)) = "HTTPS:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 8)) = "TELNET:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 6)) = "NNTP:/" Then Exit Function
	IsURL = False
End Function

'-------------------------------------------------------------------------------
' Purpose:  Tests whether the field in the recordset is updatable
' Assumes: 	That the recordset containing the field is open
' Inputs:   strFieldName	- the name of the field in the recordset
' Returns:	True if updatable, False if not
'-------------------------------------------------------------------------------

Function CanUpdateField(strFieldName)
	Dim intUpdatable
	intUpdatable = (adFldUpdatable Or adFldUnknownUpdatable)
	CanUpdateField = True
	If (rsReviews(strFieldName).Attributes And intUpdatable) = False Then
		CanUpdateField = False
	End If
End Function

SUB ShowSubscription(strBGColor)
	DIM sSQL
	DIM rsNewsletters

	RESPONSE.WRITE "<TR VALIGN=TOP>"
	RESPONSE.WRITE "<TD nowrap VALIGN=Top ALIGN=Left BGCOLOR=" & strBGColor & " class=copy><font class=prodbody>&nbsp;&nbsp;"
	RESPONSE.WRITE "Newsletters&nbsp;&nbsp;</font></TD>"
	RESPONSE.WRITE "<TD WIDTH=100% BGCOLOR=" & strBGColor & " valign=TOP><font class=prodbody>"

	'Search the newsletter types
	sSQL = "SELECT * FROM NewsletterSubscriptions ns, NewsletterType nt "
	sSQL = sSQL & "WHERE ns.TypeID=nt.TypeID AND ns.revID=" & rsReviews("revID") & " "
	sSQL = sSQL & "ORDER by TypeDesc"
	SET rsNewsletters = cnn.EXECUTE(sSQL)

	'Loop through all the records
	DO WHILE ( NOT rsNewsletters.EOF )
		RESPONSE.WRITE rsNewsletters("TypeDesc") & "<br>"

		rsNewsletters.MOVENEXT
	LOOP

	'Close the database when done
	rsNewsletters.CLOSE

	RESPONSE.WRITE "</TD></TR>"
END SUB

'-------------------------------------------------------------------------------
' Purpose:  Handles the display of a field from a recordset depending
'			on its data type, attributes, and the current mode.
' Assumes: 	That the recordset containing the field is open
'			That strFormMode is initialized
' Inputs:   strFieldName 	- the name of the field in the recordset
'			strLabel		- the label to display
'			blnIdentity		- identity field flag
'			avarLookup		- array of lookup values
'           strDisabled		- Enabled or not
'-------------------------------------------------------------------------------
 
Sub ShowField(strFieldName, strLabel, blnIdentity, avarLookup, strDisabled, strBGColor)
	Dim blnFieldRequired
	Dim intMaxSize
	Dim intInputSize
	Dim strOption1State
	Dim strOption2State
	Dim strFieldValue
	Dim nPos
	strFieldValue = ""
	nPos=Instr(strFieldName,".")

	Do While nPos > 0 
		strFieldName= Mid (strFieldName, nPos+1)
		nPos=Instr(strFieldName,".")
	Loop 

	' If not in Edit form mode then set value to empty so doesn't display
	strFieldValue = ""
	If strFormMode = "Edit" Then strFieldValue = RTrim(rsReviews(strFieldName))
	
	' See if the field is required by checking the attributes 
	blnFieldRequired = False
	If (rsReviews(strFieldName).Attributes And adFldIsNullable) = 0 Then 
		blnFieldRequired = True
	End If
	
	' Set values for the MaxLength and Size attributes	
	intInputSize = rsReviews(strFieldName).DefinedSize / 2
	intMaxSize = rsReviews(strFieldName).DefinedSize

	' Write the field label and start the value cell
	Response.Write "<TR VALIGN=TOP>"
	Response.Write "<TD nowrap VALIGN=Middle ALIGN=Left BGCOLOR=" & strBGColor & " class=copy><font class=prodbody>&nbsp;&nbsp;" & strLabel & "&nbsp;&nbsp;</font></TD>"	
	Response.Write "<TD WIDTH=100% BGCOLOR=" & strBGColor & " valign=middle><font class=hometext>"
	
	' it like an Identity column and exit
	If Not CanUpdateField(strFieldName) Then
		' Special handling if Binary
		Select Case rsReviews(strFieldName).Type
			Case adBinary, adVarBinary, adLongVarBinary		'Binary
				Response.Write "[Binary]"
			Case Else		
				Select Case strFormMode
					Case "Edit"
						Response.Write ConvertNull(strFieldValue)
						Response.Write "<INPUT TYPE=Hidden NAME=" & QuotedString(strFieldName)
						Response.Write " VALUE=" & QuotedString(strFieldValue) & " >"
					Case "New"
						Response.Write "[AutoNumber]"
						Response.Write "<INPUT TYPE=Hidden NAME=" & QuotedString(strFieldName)
						Response.Write " VALUE=" & QuotedString(strFieldValue) & " >"
					Case "Filter" 
						Response.Write "<INPUT TYPE=Text NAME=" & QuotedString(strFieldName)
						Response.Write " SIZE=" & intInputSize
						Response.Write " MAXLENGTH=" & intMaxSize
						Response.Write " VALUE=" & QuotedString(strFieldValue) & " >"
				End Select
		End Select
		Response.Write "</font></TD></TR>"
		Exit Sub
	End If
	
	' Handle lookups using a select and options
	If Not IsNull(avarLookup) Then
		Response.Write "<SELECT NAME=" & QuotedString(strFieldName) & ">"
		' Add blank entry if not required or in filter mode
		If Not blnFieldRequired Or strFormMode = "Filter" Then
			If (strFormMode = "Filter" Or strFormMode = "New") Then
				Response.Write "<OPTION SELECTED>"
			Else
				Response.Write "<OPTION>"
			End If
		End If
		
		' Loop thru the rows in the array
		For intRow = 0 to UBound(avarLookup, 2)
			Response.Write "<OPTION VALUE=" & QuotedString(avarLookup(0, intRow))
            If strFormMode = "Edit" Then
				If ConvertNull(avarLookup(0, intRow)) = ConvertNull(strFieldValue) Then
               		Response.Write " SELECTED"
				End If
            End If
           	Response.Write ">"
			Response.Write ConvertNull(avarLookup(1, intRow))
		Next
		Response.Write "</SELECT>"
		If blnFieldRequired then 'And strFormMode = "New" Then 
			Response.Write "&nbsp;&nbsp;(Required)"
		End If
		Response.Write "</font></TD></TR>"
		Exit Sub
	End If	
	
	' Evaluate data type and handle appropriately
	Select Case rsReviews(strFieldName).Type
	
		Case adBoolean, adUnsignedTinyInt				'Boolean
			If strFormMode = "Filter" Then				
				strOption1State = " >True"
				strOption2State = " >False"
			Else
				Select Case strFieldValue
					Case "True", "1", "-1"
						strOption1State = " CHECKED>True"
						strOption2State = " >False"
					Case "False", "0"
						strOption1State = " >True"
						strOption2State = " CHECKED>False"
					Case Else
						strOption1State = " >True"
						strOption2State = " CHECKED>False"
				End Select
			End If			
			Response.Write "<INPUT TYPE=Radio "
			If strDisabled then
				Response.Write " disabled "
			end if
			Response.Write "VALUE=1 NAME=" & QuotedString(strFieldName) & strOption1State
			Response.Write "<INPUT TYPE=Radio "
			If strDisabled then
				Response.Write " disabled "
			end if
			Response.Write "VALUE=0 NAME=" & QuotedString(strFieldName) & strOption2State
			If strFormMode = "Filter" Then
				Response.Write "<INPUT TYPE=Radio NAME=" & QuotedString(strFieldName) & " CHECKED>Neither"
			End If
			
		Case adBinary, adVarBinary, adLongVarBinary		'Binary
			Response.Write "[Binary]"
			
		Case adLongVarChar, adLongVarWChar				'Memo
			Response.Write "<TEXTAREA NAME=" & QuotedString(strFieldName) & " ROWS=3 COLS=45 "
			If strDisabled then
				Response.Write " disabled "
			end if
			Response.Write ">"
			Response.Write ConvertNull(strFieldValue)
			Response.Write "</TEXTAREA>"

		Case adDate, adDBDate, adDBTime, adDBTimeStamp			'Date/Time
		on error resume next
			Response.Write "<INPUT TYPE=Text NAME=" & QuotedString(strFieldName & "dd") & " SIZE=4"
			Response.Write " MAXLENGTH=4"
			Response.Write " VALUE=" & QuotedString(Day(strFieldValue))
			Response.Write ">/"
			Response.Write "<INPUT TYPE=Text NAME=" & QuotedString(strFieldName & "mm") & " SIZE=4"
			Response.Write " MAXLENGTH=4"
			Response.Write " VALUE=" & QuotedString(Month(strFieldValue))
			Response.Write ">/"
			Response.Write "<INPUT TYPE=Text NAME=" & QuotedString(strFieldName & "yy") & " SIZE=6"
			Response.Write " MAXLENGTH=4"
			Response.Write " VALUE=" & QuotedString(Year(strFieldValue))
			Response.Write "> (dd/mm/yyyy)"
			
		Case Else
			Dim nType 
			nType=rsReviews(strFieldName).Type
			If (nType <> adVarChar) and (nType <> adWVarChar) and (nType <> adBSTR) and (nType <> adChar) and (nType <> adWChar)  Then
				intInputSize = (intInputSize-2)*3+2
				If strFormMode <> "Filter" Then intMaxSize = intInputSize - 2
			End If
			If blnIdentity Then
				Select Case strFormMode
					Case "Edit"
						Response.Write ConvertNull(strFieldValue)
						Response.Write "<INPUT TYPE=Hidden NAME=" & QuotedString(strFieldName)
						Response.Write " VALUE=" & QuotedString(strFieldValue) & " >"
					Case "New"
						Response.Write "[AutoNumber]"
						Response.Write "<INPUT TYPE=Hidden NAME=" & QuotedString(strFieldName)
						Response.Write " VALUE=" & QuotedString(strFieldValue) & " >"
					Case "Filter" 
						Response.Write "<INPUT TYPE=Text NAME=" & QuotedString(strFieldName) & " SIZE=" & tInputSize
						Response.Write " MAXLENGTH=" & tMaxSize & " VALUE=" & QuotedString(strFieldValue) & " >"
				End Select
			Else
				If intInputSize > 80 Then intInputSize = 45			
				Response.Write "<INPUT TYPE=Text NAME=" & QuotedString(strFieldName)
				Response.Write " SIZE=" & intInputSize
				Response.Write " MAXLENGTH=" & intMaxSize
				Response.Write " VALUE=" & QuotedString(strFieldValue) 
				If strDisabled then
					Response.Write " disabled "
				end if
				Response.write  " >"
				' Check for special field types
				Select Case UCase(Left(rsReviews(strFieldName).Name, 4))
					Case "IMG_"
						If strFieldValue <> "" Then
							Response.Write "<BR><BR><IMG SRC=" & QuotedString(strFieldValue) & "><BR>&nbsp;<BR>"
						End If
					Case "URL_"
						If strFieldValue <> "" Then
							Response.Write "&nbsp;&nbsp;<A HREF=" & QuotedString(strFieldValue) & ">"
							Response.Write "Go"
							Response.Write "</A>"
						End If
					Case Else
						If IsURL(strFieldValue) Then
							Response.Write "&nbsp;&nbsp;<A HREF=" & QuotedString(strFieldValue) & ">"
							Response.Write "Go"
							Response.Write "</A>"
						End If					
				End Select				
			End If
	End Select
   	If blnFieldRequired Then 'And strFormMode = "New" Then
		Response.Write "&nbsp;&nbsp;(Required)"
	End If
	Response.Write "</font></TD></TR>"
End Sub	

strFormMode = "Edit"	' Initalize the default
If Not IsEmpty(Request("FormMode")) Then strFormMode = Request("FormMode")
If Not IsEmpty(Request("rsReviews_PagingMove")) Then
    strPagingMove = Trim(Request("rsReviews_PagingMove"))
End If
%>

<html>
<head>
	<title>HCS Administration</title>
	<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-7">

<script language="Javascript" src="JavaScript/ValFuncs.js"></script>

<SCRIPT LANGUAGE="Javascript">

<!--//


function chkForm (f) {
	var NewsLtrOK = false;

	with (f) {

		// Don't validate if Cancel was pressed
		if ( Button.value != "Cancel" ) {
			// Check a Username was entered
			if ( isEmpty(revReview.value) ) {
				alert("Please enter the rsReviews.");
				revReview.focus();
				return false;
			}

			// Check a Password was entered
			if ( isEmpty(revDate.value) ) {
				alert("Please enter the Date.");
				revDate.focus();
				return false;
			}
		}

	}

	return true;
}

//-->
</SCRIPT>
</head>


<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td height="20"></td>
	</tr>
	<tr>
		<td bgcolor="#FFFFFF">
			<table height="421" width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="75" height="1"></td>
					<td height="1"></td>
					<td width="75" height="1"></td>
				</tr>
				<tr>
					<td height="439">&nbsp;</td>
					<td valign="top" height="439">

<table border="0" width="100%" cellspacing="0" cellpadding="0" align="center">
	<tr>

		<td colspan="2" class="o_text"><font size="3"><b>Maintain Product Reviews</b></font></td>
	</tr>
	<tr>
		<td colspan="2">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="2">




			<table CELLSPACING="1" CELLPADDING="1" BORDER="0" WIDTH="100%">

				<FORM ACTION="hcsadmin/review-editaction.asp" METHOD="POST">
				<input type="hidden" name="Button" value="">
				<input type="hidden" name="rsReviews_PagingMove" value="<%=REQUEST("rsReviews_PagingMove")%>">
				<input type="hidden" name="SortCol" value="<%=REQUEST("SortCol")%>">
				<input type="hidden" name="S1" value="<%=REQUEST("S1")%>">
				<input type="hidden" name="S2" value="<%=REQUEST("S2")%>">
				<input type="hidden" name="S3" value="<%=REQUEST("S3")%>">



<%
fHideNavBar = False
fHideNumber = False
fHideRequery = False
fHideRule = False
stQueryString = ""
fEmptyRecordset = False
fFirstPass = True
fNeedRecordset = False
fNoRecordset = False
tBarAlignment = "Left"
tHeaderName = "rsReviews"
tPageSize = 1
tPagingMove = ""
tRangeType = "Form"
tRecordsProcessed = 0
tPrevAbsolutePage = 0
intCurPos = 0
intNewPos = 0
fSupportsBookmarks = True
fMoveAbsolute = False

If Not IsEmpty(Request("rsReviews_PagingMove")) Then
    tPagingMove = Trim(Request("rsReviews_PagingMove"))
End If

If IsEmpty(Session("rsReviews_Recordset")) Then
    fNeedRecordset = True
Else
    If Session("rsReviews_Recordset") Is Nothing Then
        fNeedRecordset = True
    Else
        Set rsReviews = Session("rsReviews_Recordset")
    End If
End If

fNeedRecordset = True
If fNeedRecordset Then
    Set cnn = Server.CreateObject("ADODB.Connection")
    cnn.OPEN sDSN
    
    Set cmdTemp = Server.CreateObject("ADODB.Command")
    Set rsReviews = Server.CreateObject("ADODB.Recordset")

	 IF ( ISNULL(REQUEST("Bookmark")) OR ISEMPTY(REQUEST("Bookmark")) OR LEN(TRIM(REQUEST("Bookmark")))=0 ) THEN
	 	cmdTemp.CommandText = "SELECT * FROM reviews"
	 ELSE
    	cmdTemp.CommandText = "SELECT * FROM reviews WHERE revID=" & REQUEST("Bookmark")
    END IF
    cmdTemp.CommandType = 1
    Set cmdTemp.ActiveConnection = cnn
    rsReviews.Open cmdTemp, , 1, 3
End If
On Error Resume Next
If rsReviews.BOF And rsReviews.EOF Then fEmptyRecordset = True
On Error Goto 0
If Err Then fEmptyRecordset = True
If fNeedRecordset Then
    Set Session("rsReviews_Recordset") = rsReviews
End If
rsReviews.PageSize = tPageSize
fSupportsBookmarks = rsReviews.Supports(8192)

If Not IsEmpty(Session("rsReviews_Filter")) And Not fEmptyRecordset Then
    rsReviews.Filter = Session("rsReviews_Filter")
    If rsReviews.BOF And rsReviews.EOF Then fEmptyRecordset = True
End If

If IsEmpty(Session("rsReviews_PageSize")) Then Session("rsReviews_PageSize") = tPageSize
If IsEmpty(Session("rsReviews_AbsolutePage")) Then Session("rsReviews_AbsolutePage") = 1

If Session("rsReviews_PageSize") <> tPageSize Then
    tCurRec = ((Session("rsReviews_AbsolutePage") - 1) * Session("rsReviews_PageSize")) + 1
    tNewPage = Int(tCurRec / tPageSize)
    If tCurRec Mod tPageSize <> 0 Then
        tNewPage = tNewPage + 1
    End If
    If tNewPage = 0 Then tNewPage = 1
    Session("rsReviews_PageSize") = tPageSize
    Session("rsReviews_AbsolutePage") = tNewPage
End If

If fEmptyRecordset Then
    fHideNavBar = True
    fHideRule = True
Else
    tPrevAbsolutePage = Session("rsReviews_AbsolutePage")
    Select Case tPagingMove
        Case ""
            fMoveAbsolute = True
        Case "Requery"
            rsReviews.Requery
            fMoveAbsolute = True
        Case "<<"
            Session("rsReviews_AbsolutePage") = 1
        Case "<"
            If Session("rsReviews_AbsolutePage") > 1 Then
                Session("rsReviews_AbsolutePage") = Session("rsReviews_AbsolutePage") - 1
            End If
        Case ">"
            If Not rsReviews.EOF Then
                Session("rsReviews_AbsolutePage") = Session("rsReviews_AbsolutePage") + 1
            End If
        Case ">>"
            If fSupportsBookmarks Then
                Session("rsReviews_AbsolutePage") = rsReviews.PageCount
            End If
    End Select

End If

Do
    If fEmptyRecordset Then Exit Do
    If tRecordsProcessed = tPageSize Then Exit Do
    If Not fFirstPass Then
        rsReviews.MoveNext
    Else
        fFirstPass = False
    End If
    If rsReviews.EOF Then Exit Do
    tRecordsProcessed = tRecordsProcessed + 1
%>
                

<% 
If strFormMode = "Edit" Then
	Response.Write "<TABLE WIDTH=100% CELLSPACING=1 CELLPADDING=1 BORDER=0>"
%>
				<tr BGCOLOR="#000000" VALIGN="TOP">
					<td colspan="2">

						<font color="#FFFFFF"><b>&nbsp;Admin Users : <%=strFormMode%> Record</b></font>
					</td>
				</tr>
				<tr BGCOLOR="SILVER" VALIGN="TOP">
					<td colspan="2"><font class=prodbody>&nbsp;</font></td>
				</tr>
<%

	 ShowField "revDate",	"Date",False, Null, False, "#F8A465"			'darker
	 ShowField "revProdID",	"ProductID",		False, Null, False, "#FBC79F"			'light
	 ShowField "revPerson",	"Person",	False, Null, False, "#F8A465"			'darker
	 ShowField "revReview",	"Review",		False, Null, False, "#FBC79F"			'light
	 ShowField "revRating",	"Rating",	False, Null, False, "#F8A465"			'darker
	 
	Response.Write "<TR VALIGN=TOP>"
	Response.Write "<TD nowrap VALIGN=Middle ALIGN=Left BGCOLOR='#FBC79F' class=copy><font class=prodbody>&nbsp;&nbsp;Approved&nbsp;&nbsp;</font></TD>"	
	Response.Write "<TD WIDTH=100% BGCOLOR='#FBC79F' valign=middle><font class=hometext>"
			If strFormMode = "Filter" Then				
				strOption1State = " >True"
				strOption2State = " >False"
			Else
				Select Case rsReviews("Approved")
					Case "True", "1", "-1"
						strOption1State = " CHECKED>True"
						strOption2State = " >False"
					Case "False", "0"
						strOption1State = " >True"
						strOption2State = " CHECKED>False"
					Case Else
						strOption1State = " >True"
						strOption2State = " CHECKED>False"
				End Select
			End If			
			Response.Write "<INPUT TYPE=Radio "
			If strDisabled then
				Response.Write " disabled "
			end if
			Response.Write "VALUE=1 NAME=Approved" & strOption1State
			Response.Write "<INPUT TYPE=Radio "
			If strDisabled then
				Response.Write " disabled "
			end if
			Response.Write "VALUE=0 NAME=Approved" & strOption2State
			If strFormMode = "Filter" Then
				Response.Write "<INPUT TYPE=Radio NAME=Approved" & " CHECKED>Neither"
			End If
%>
				<tr>
					<td colspan=2><br>
			<% 
			If strFormMode = "Form View" then strFormMode = "Edit"
			Select Case strFormMode
				Case "Edit"	
					%>
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Update " onclick="javascript: Button.value='Update';">
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel " onclick="javascript: Button.value='Cancel';">

				<% Case "Filter" %>
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Apply " onclick="javascript: Button.value='Apply';">
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel " onclick="javascript: Button.value='Cancel';">
				<% Case "New" %>
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Insert " onclick="javascript: Button.value='Insert';">
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel " onclick="javascript: Button.value='Cancel';">
			<% End Select %>

					</td>
				</tr>
				</form>
			</table>
<%
	stQueryString = "?FormMode=Edit"
	fHideNavBar = False
	fHideRule = True
Else
	fHideNavBar = True
	fHideRule = True
End If 
%>


<%
Loop
If tRangeType = "Table" Then Response.Write "</TABLE>"
%>

<% 
If strFormMode <> "Edit" Then
%>
				<tr BGCOLOR="#000000" VALIGN="TOP">
					<td colspan="2">

						<font color="#FFFFFF"><b>&nbsp;Admin Users : <%=strFormMode%> Record</b></font>
					</td>
				</tr>
				<tr BGCOLOR="SILVER" VALIGN="TOP">
					<td colspan="2"><font class=prodbody>&nbsp;</font></td>
				</tr>
<%

	 ShowField "revDate",	"Date",		False, Null, False, "#F8A465"			'darker
	 ShowField "revProdID",	"ProductID",		False, Null, False, "#FBC79F"			'light
	 ShowField "revPerson",	"Person",	False, Null, False, "#F8A465"			'darker
	 ShowField "revReview",	"Review",		False, Null, False, "#FBC79F"			'light
	 ShowField "revRating",	"Rating",	False, Null, False, "#F8A465"			'darker
	 ShowField "Approved",	"Approved",		False, Null, False, "#FBC79F"			'light
%>
				<tr>
					<td colspan=2><br>
			<% 
			If strFormMode = "Form View" then strFormMode = "Edit"
			Select Case strFormMode
				Case "Edit"	
					%>
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Update " onclick="javascript: Button.value='Update';">
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel " onclick="javascript: Button.value='Cancel';">
				<% Case "Filter" %>
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Apply " onclick="javascript: Button.value='Apply';">
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel " onclick="javascript: Button.value='Cancel';">
				<% Case "New" %>
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Insert " onclick="javascript: Button.value='Insert';">
						<input class="funkybutton" TYPE="SUBMIT" NAME="DataAction" VALUE=" Cancel " onclick="javascript: Button.value='Cancel';">
			<% End Select %>

					</td>
				</tr>
				</form>
			</table>
<%
End If
%>



<%
If strFormMode = "Edit" And fEmptyRecordset Then
	Response.Write "<p align=left>No Records Available</p>"
End If
If fNeedRecordset Then
	Set Session("rsReviews_Recordset") = rsReviews
End If
%>


		</td>
	</tr>
</table>

					</td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td width="75" height="78">&nbsp;</td>
					<td height="78">&nbsp;</td>
					<td width="75" height="78">&nbsp;</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="20"></td>
	</tr>
</table>

</body>
</html>