<%
'=========================================
'This code is copyright (c) Hanley's Computer Services, all rights reserved.
'The contents of this file are protect under law as the intellectual property
'of Hanley's Computer Services. Any use, reproduction, disclosure or copying
'of any kind without the express and written permission of Hanley's Computer 
'Services is forbidden.
'Author: Gary Hanley, info@hcsfixit.com
'Ensure a new copy of the page every time
'HCS WTD SEP 11 2007 CODE FOR ASP PRODUCT REVIEW MOD VER. 5.4.3
RESPONSE.EXPIRES=-1
RESPONSE.BUFFER=TRUE

Dim strPagingMove
Dim strDFName
strDFName = "rsReviews"
tHeaderName = "rsReviews"

IF ( LEN(TRIM(REQUEST("PageAction")))>0 ) THEN
	IF ( TRIM(UCASE(REQUEST("PageAction")))="ADD NEW" ) THEN
		Response.Redirect "reviewedit.asp?FormMode=New&rsReviews_PagingMove=" & Session(tHeaderName & "_AbsolutePage") & "&SortCol=" & REQUEST("SortCol") & "&S1=" & REQUEST("S1") & "&S2=" & REQUEST("S2") & "&S3=" & REQUEST("S3")
	END IF
END IF


'---- DataTypeEnum Values ----
Const adUnsignedTinyInt = 17
Const adBoolean = 11
Const adLongVarChar = 201
Const adLongVarWChar = 203
Const adBinary = 128
Const adVarBinary = 204
Const adLongVarBinary = 205
Const adDate = 7
Const adDBDate = 133
Const adDBTime = 134
Const adDBTimeStamp = 135

'-------------------------------------------------------------------------------
' Purpose:  Substitutes Empty for Null and trims leading/trailing spaces
' Inputs:   varTemp	- the target value
' Returns:	The processed value
'-------------------------------------------------------------------------------

Function ConvertNull(varTemp)
	If IsNull(varTemp) Then
		ConvertNull = ""
	Else
		ConvertNull = Trim(varTemp)
	End If
End Function

'-------------------------------------------------------------------------------
' Purpose:  Embeds bracketing quotes around the string
' Inputs:   varTemp	- the target value
' Returns:	The processed value
'-------------------------------------------------------------------------------

Function QuotedString(varTemp)
	If IsNull(varTemp) Then
		QuotedString = Chr(34) & Chr(34)
	Else
		QuotedString = Chr(34) & CStr(varTemp) & Chr(34)
	End If
End Function

'-------------------------------------------------------------------------------
' Purpose:  Tests string to see if it is a URL by looking for protocol
' Inputs:   varTemp	- the target value
' Returns:	True - if is URL, False if not
'-------------------------------------------------------------------------------

Function IsURL(varTemp)
	IsURL = True
	If UCase(Left(Trim(varTemp), 6)) = "HTTP:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 6)) = "FILE:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 8)) = "MAILTO:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 5)) = "FTP:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 8)) = "GOPHER:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 6)) = "NEWS:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 7)) = "HTTPS:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 8)) = "TELNET:/" Then Exit Function
	If UCase(Left(Trim(varTemp), 6)) = "NNTP:/" Then Exit Function
	IsURL = False
End Function

'-------------------------------------------------------------------------------
' Purpose:  Handles the display of a field from a recordset depending
'			on its data type, attributes, and the current mode.
' Assumes: 	That the recordset containing the field is open
' Inputs:   strFieldName 	- the name of the field in the recordset
'			avarLookup		- array of lookup values
'-------------------------------------------------------------------------------
 
Function ShowField(strFieldName, avarLookup, nrec)
	Dim intRow
	Dim strPartial
	Dim strBool
	Dim nPos
	Dim strcolor

	If nrec Mod 2 = 0 Then
		strcolor = "#FBC79F" 'light  
	Else
		strcolor = "#F8A465" 'darker
	End If

	strFieldValue = ""
	nPos=Instr(strFieldName,".")
	Do While nPos > 0 
		strFieldName= Mid (strFieldName, nPos+1)
		nPos=Instr(strFieldName,".")
	Loop 
	If Not IsNull(avarLookup) Then
		Response.Write "<TD BGCOLOR=" & strcolor & "><font class=prodbody>" 
		For intRow = 0 to UBound(avarLookup, 2)
			If ConvertNull(avarLookup(0, intRow)) = ConvertNull(rsReviews(strFieldName)) Then
				Response.Write ConvertNull(avarLookup(1, intRow))
				Exit For
			End If
		Next
		Response.Write "</font></TD>"
		Exit Function
	End If
	
	Select Case rsReviews(strFieldName).Type
		Case adBoolean, adUnsignedTinyInt				'Boolean
			strBool = ""
			If rsReviews(strFieldName) <> 0 Then
				strBool = "True"
			Else
				strBool = "False"
			End If
			Response.Write "<TD BGCOLOR=" & strcolor & "><font class=prodbody>" & strBool & "</font></TD>"
			
		Case adBinary, adVarBinary, adLongVarBinary		'Binary
			Response.Write "<TD BGCOLOR=" & strcolor & "><font class=prodbody>[Binary]</font></TD>"
			
		Case adLongVarChar, adLongVarWChar				'Memo
			Response.Write "<TD BGCOLOR=" & strcolor & "><font class=prodbody>"
			strPartial = Left(rsReviews(strFieldName), 50)			
			If ConvertNull(strPartial) = "" Then
				Response.Write "&nbsp;"
			Else
				Response.Write strPartial
			End If
			If rsReviews(strFieldName).ActualSize > 50 Then Response.Write "..."
			Response.Write "</font></TD>"

		Case adDate, adDBDate, adDBTime, adDBTimeStamp			'Date/Time
			Response.Write "<TD BGCOLOR=" & strcolor & "><font class=prodbody>"
			If IsNull(rsReviews(strFieldName)) Then
				Response.Write "&nbsp;"
			Else
				strPartial = rsReviews(strFieldName)
				Response.Write DAY(strPartial) & "/" & MONTH(strPartial) & "/" & YEAR(strPartial)
			End If
			Response.Write "</font></TD>"

		Case Else
			Response.Write "<TD BGCOLOR=" & strcolor & " ALIGN=Left><font class=prodbody>"
			If ConvertNull(rsReviews(strFieldName)) = "" Then
				Response.Write "&nbsp;"
			Else
				' Check for special field types
				Select Case UCase(Left(rsReviews(strFieldName).Name, 4))
					Case "URL_"
						Response.Write "<A HREF=" & QuotedString(rsReviews(strFieldName)) & ">"
						Response.Write ConvertNull(rsReviews(strFieldName))
						Response.Write "</A>"
					Case Else
						If IsURL(rsReviews(strFieldName)) Then
							Response.Write "<A HREF=" & QuotedString(rsReviews(strFieldName)) & ">"
							Response.Write ConvertNull(rsReviews(strFieldName))
							Response.Write "</A>"
						Else
							Response.Write ConvertNull(rsReviews(strFieldName))
						End If
				End Select
			End If
			Response.Write "</font></TD>"
	End Select
End Function
%>

<html>
<head>
	<title>HCS Administration</title>
	<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-7">

<script language="Javascript">

function ValDelete(url)
{
	if ( confirm('Are you sure you want to delete this record?') )
	{
		window.location=url;
	} 

}
 </SCRIPT>

</head>


<body bgcolor="#000000" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td height="20"></td>
	</tr>
	<tr>
		<td bgcolor="#FFFFFF">
			<table height="420" width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="75" height="1"></td>
					<td height="1"></td>
					<td width="75" height="1"></td>
				</tr>
				<tr>
					<td height="393">&nbsp;</td>
					<td valign="top" height="393">
					
					
<table border="0" width="100%" cellspacing="0" cellpadding="0" align="center" height="25">
	<tr>

		<td colspan="2" class="o_text" height="1"><font size="3"><b>Maintain Product Reviews</b></font></td>
	</tr>
	<tr>
		<td colspan="2" height="14"></td>
	</tr>
	<tr>
		<td colspan="2" height="55">



<%
SortBy = "revDate Desc"


	SortCol = REQUEST("SortCol")
	SELECT CASE SortCol
		CASE "1"
				SortBy = "revDate Desc"
		CASE "2"
				SortBy = "revProdID"
		CASE "3"
				SortBy = "revPerson"

   END SELECT


SearchBy = ""
 If Not IsEmpty(Request("S1")) Then
	S1 = SERVER.HTMLENCODE(REPLACE(Trim(Request("S1")),"'",""))
	If Len(Trim(S1)) > 0 Then
		If Len(SearchBy) > 0 Then SearchBy = SearchBy & " AND "
		SearchBy = SearchBy & "revDate LIKE '%" & S1 & "%'"
	End If
 Else
	S1 = ""
 End If
 If Not IsEmpty(Request("S2")) Then
	S2 = SERVER.HTMLENCODE(REPLACE(Trim(Request("S2")),"'",""))
	If Len(Trim(S2)) > 0 Then
		If Len(SearchBy) > 0 Then SearchBy = SearchBy & " AND "
		SearchBy = SearchBy & "revProdID LIKE '%" & S2 & "%'"
	End If
 Else
	S2 = ""
 End If
 If Not IsEmpty(Request("S3")) Then
	S3 = SERVER.HTMLENCODE(REPLACE(Trim(Request("S3")),"'",""))
	If Len(Trim(S3)) > 0 Then
		If Len(SearchBy) > 0 Then SearchBy = SearchBy & " AND "
		SearchBy = SearchBy & "revPerson LIKE '%" & S3 & "%'"
	End If
 Else
	S3 = ""
 End If
%>

<form <%= "ACTION=""" & Request.ServerVariables("PATH_INFO") & stQueryString & """" %> METHOD="POST" name="searchForm">

		<table CELLSPACING="1" CELLPADDING="3" BORDER="0" WIDTH="100%">
				<tr BGCOLOR="#000000" VALIGN="TOP">

					<td ALIGN="Left"><font color="#FFFFFF"><b>&nbsp;Date</b></font></td>
					<td ALIGN="Left"><font color="#FFFFFF"><b>&nbsp;ProductID</b></font></td>
					<td ALIGN="Left"><font color="#FFFFFF"><b>&nbsp;Person</b></font></td>
					<td ALIGN="Left"><font color="#FFFFFF"><b>&nbsp;Review</b></font></td>
					<td ALIGN="Left"><font color="#FFFFFF"><b>&nbsp;Rating</b></font></td>
					<td ALIGN="Left"><font color="#FFFFFF"><b>&nbsp;Approved</b></font></td>
					<td ALIGN="Center" colspan="2"><font color="#FFFFFF"><b>Action</b></font></td>
				</tr>
				<tr VALIGN="TOP" BGCOLOR="SILVER">
					<td>
						<input type="radio" value="1" name="SortCol" <% IF REQUEST("SortCol")="1" THEN RESPONSE.WRITE "checked"%>>
						<input type="text" name="S1" size="14" <% IF LEN(TRIM(S1))>0 THEN RESPONSE.WRITE "Value=""" & S1 & """"%> maxlength="20">
					</td>
					<td>
						<input type="radio" value="2" name="SortCol" <% IF REQUEST("SortCol")="2" THEN RESPONSE.WRITE "checked"%>>
						<input type="text" name="S2" size="14" <% IF LEN(TRIM(S2))>0 THEN RESPONSE.WRITE "Value=""" & S2 & """"%> maxlength="50">
					</td>
					<td>
						<input type="radio" value="3" name="SortCol" <% IF REQUEST("SortCol")="3" THEN RESPONSE.WRITE "checked"%>>
						<input type="text" name="S3" size="14" <% IF LEN(TRIM(S3))>0 THEN RESPONSE.WRITE "Value=""" & S3 & """"%> maxlength="50">
					</td>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
					<td colspan="2" align="center">
<% If Not fHideRequery Then %>
						<INPUT class="funkybutton" TYPE="Submit" NAME="<% =tHeaderName & "_PagingMove" %>" VALUE=" Requery ">
<% End If %>
					</td>
				</tr>
<%

CmdStr = "SELECT * FROM reviews"
If Len(SearchBy) > 0 Then
	CmdStr = CmdStr & " WHERE " & SearchBy
End If
If Len(SortBy) > 0 Then
	CmdStr = CmdStr & " ORDER BY " & SortBy
End If

If pagesize="" then pagesize=50
fHideNavBar = False
fHideNumber = False
fHideRequery = False
fHideRule = False
stQueryString = ""
fEmptyRecordset = False
fFirstPass = True
fNeedRecordset = False
fNoRecordset = False
tBarAlignment = "Left"
tPageSize = pagesize
tPagingMove = ""
tRangeType = "Table"
tRecordsProcessed = 0
tPrevAbsolutePage = 0
intCurPos = 0
intNewPos = 0
fSupportsBookmarks = True
fMoveAbsolute = False

If Not IsEmpty(Request("rsReviews_PagingMove")) Then
    tPagingMove = Trim(Request("rsReviews_PagingMove"))
End If

If IsEmpty(Session("rsReviews_Recordset")) Then
    fNeedRecordset = True
Else
    If Session("rsReviews_Recordset") Is Nothing Then
        fNeedRecordset = True
    Else
        Set rsReviews = Session("rsReviews_Recordset")
    End If
End If
fNeedRecordset = True

If fNeedRecordset Then
	SET rsCategory = NOTHING
	SET cmdTemp    = NOTHING
	SET cnn   = NOTHING
	Session("rsReviews_Recordset") = ""

    Set cnn = Server.CreateObject("ADODB.Connection")
     cnn.OPEN sDSN
     
    Set cmdTemp = Server.CreateObject("ADODB.Command")
    Set rsReviews = Server.CreateObject("ADODB.Recordset")
    cmdTemp.CommandText = CmdStr
    cmdTemp.CommandType = 1
    Set cmdTemp.ActiveConnection = cnn
    rsReviews.Open cmdTemp, , 1, 3
End If

On Error Resume Next
If rsReviews.BOF And rsReviews.EOF Then fEmptyRecordset = True
On Error Goto 0
If Err Then fEmptyRecordset = True
If fNeedRecordset Then
    Set Session("rsReviews_Recordset") = rsReviews
End If
rsReviews.PageSize = tPageSize
fSupportsBookmarks = rsReviews.Supports(8192)

If Not IsEmpty(Session("rsReviews_Filter")) And Not fEmptyRecordset Then
    rsReviews.Filter = Session("rsReviews_Filter")
    If rsReviews.BOF And rsReviews.EOF Then fEmptyRecordset = True
End If

If IsEmpty(Session("rsReviews_PageSize")) Then Session("rsReviews_PageSize") = tPageSize
If IsEmpty(Session("rsReviews_AbsolutePage")) Then Session("rsReviews_AbsolutePage") = 1

If Session("rsReviews_PageSize") <> tPageSize Then
    tCurRec = ((Session("rsReviews_AbsolutePage") - 1) * Session("rsReviews_PageSize")) + 1
    tNewPage = Int(tCurRec / tPageSize)
    If tCurRec Mod tPageSize <> 0 Then
        tNewPage = tNewPage + 1
    End If
    If tNewPage = 0 Then tNewPage = 1
    Session("rsReviews_PageSize") = tPageSize
    Session("rsReviews_AbsolutePage") = tNewPage
End If

If fEmptyRecordset Then
    fHideNavBar = True
    fHideRule = True
Else
    tPrevAbsolutePage = Session("rsReviews_AbsolutePage")
    Select Case tPagingMove
        Case ""
            fMoveAbsolute = True
        Case "Requery"
            rsReviews.Requery
            fMoveAbsolute = True
        Case "<<"
            Session("rsReviews_AbsolutePage") = 1
        Case "<"
            If Session("rsReviews_AbsolutePage") > 1 Then
                Session("rsReviews_AbsolutePage") = Session("rsReviews_AbsolutePage") - 1
            End If
        Case ">"
            If Not rsReviews.EOF Then
                Session("rsReviews_AbsolutePage") = Session("rsReviews_AbsolutePage") + 1
            End If
        Case ">>"
            If fSupportsBookmarks Then
                Session("rsReviews_AbsolutePage") = rsReviews.PageCount
            End If
	Case Else
	    If IsNumeric(tPagingMove) Then
		If CInt(tPagingMove) > CInt(rsReviews.PageCount) Then
			Session("rsReviews_AbsolutePage") = rsReviews.PageCount
		Else
			Session("rsReviews_AbsolutePage") = tPagingMove
		End If
	    End If
    End Select

    If CInt(Session("rsReviews_AbsolutePage")) > CInt(rsReviews.PageCount) Then
	Session("rsReviews_AbsolutePage") = rsReviews.PageCount
    End If

    Do
        If fSupportsBookmarks Then
            rsReviews.AbsolutePage = Session("rsReviews_AbsolutePage")
        Else
            If fNeedRecordset Or fMoveAbsolute Or rsReviews.EOF Then
                rsReviews.MoveFirst
                rsReviews.Move (Session("rsReviews_AbsolutePage") - 1) * tPageSize
            Else
                intCurPos = ((tPrevAbsolutePage - 1) * tPageSize) + tPageSize
                intNewPos = ((Session("rsReviews_AbsolutePage") - 1) * tPageSize) + 1
                rsReviews.Move intNewPos - intCurPos
            End If
            If rsReviews.BOF Then rsReviews.MoveNext
        End If
        If Not rsReviews.EOF Then Exit Do
        Session("rsReviews_AbsolutePage") = Session("rsReviews_AbsolutePage") - 1
    Loop
End If


 DIM rsTotalPages, nTotalPages
	sSQL = "SELECT count(*) AS totalpages FROM reviews"

	Set rsTotalPages = cnn.Execute(sSQL)
  IF rsTotalPages.EOF THEN
   'do nothing
  ELSE
     nTotalPages = Int(-1*(rsTotalPages("totalpages")/tPageSize))*(-1)
  END IF
 rsTotalPages.CLOSE
set rsTotalPages = nothing

LCount = 0
Do
    LCount = LCount + 1
    If fEmptyRecordset Then Exit Do
    If tRecordsProcessed = tPageSize Then Exit Do
    If Not fFirstPass Then
        rsReviews.MoveNext
    Else
        fFirstPass = False
    End If
    If rsReviews.EOF Then Exit Do
    tRecordsProcessed = tRecordsProcessed + 1
%>

					<tr VALIGN="TOP">
		<%
		If tPageSize > 0 Then
			tCurRec = ((Session("rsReviews_AbsolutePage") - 1) * tPageSize) + tRecordsProcessed
		Else
			tRecordsProcessed = tRecordsProcessed + 1
			tCurRec = tRecordsProcessed
		End If

		ShowField "revDate", Null, LCount
		ShowField "revProdID", Null, LCount
		ShowField "revPerson", Null, LCount
		ShowField "revReview", Null, LCount
		ShowField "revRating", Null, LCount

		If rsReviews("Approved") <> 0 Then
				strBool = "True"
			Else
				strBool = "False"
			End If
			If LCount Mod 2 = 0 Then
		strcolor = "#FBC79F" 'light  
	Else
		strcolor = "#F8A465" 'darker
	End If
			Response.Write "<TD BGCOLOR=" & strcolor & "><font class=prodbody>" & strBool & "</font></TD>"

		'Display link to perform Edit
		If LCount Mod 2 = 0 Then
			Response.Write "<TD BGCOLOR=#FBC79F valign=middle align=center width=45><A HREF="	'Light
		Else
			Response.Write "<TD BGCOLOR=#F8A465 valign=middle align=center width=45><A HREF="	'Darker
		End If
		Response.Write QuotedString("reviewedit.asp?Bookmark=" & rsReviews("revID") & "&DataAction=Find&rsReviews_PagingMove=" & Session(tHeaderName & "_AbsolutePage") & "&SortCol=" & Trim(Request("SortCol")) & "&S1=" & S1 & "&S2=" & S2 & "&S3=" & S3)
		Response.Write " class=sidenav>Edit</A></td>"

		'Display link to perform Delete
		If LCount Mod 2 = 0 Then
			Response.Write "<TD BGCOLOR=#FBC79F valign=middle align=center width=45><A HREF="	'Light
		Else
			Response.Write "<TD BGCOLOR=#F8A465 valign=middle align=center width=45><A HREF="	'Darker
		End If

		Response.Write QuotedString("JavaScript:ValDelete('hcsadmin/review-editaction.asp?Bookmark=" & rsReviews("revID") & "&DataAction=Delete&rsReviews_PagingMove=" & Session(tHeaderName & "_AbsolutePage") & "&SortCol=" & Trim(Request("SortCol")) & "&S1=" & S1 & "&S2=" & S2 & "&S3=" & S3 & "');")
		Response.Write " class=sidenav>Delete</A></td>"

		fHideRule = True
%>
				</tr>


<%
Loop
If tRangeType = "Table" Then Response.Write "</TABLE>"
If tPageSize > 0 Then
    If Not fHideRule Then Response.Write "<HR>"
    If Not fHideNavBar Then
        %>
			<TABLE WIDTH=100% >
				<TR>
            	<TD WIDTH=100% >&nbsp;</td>
				</tr>
				<TR>
            	<TD WIDTH=100%><font class=menunorm>
<%
                If Not fHideNumber Then
                    If tPageSize > 1 Then
                        Response.Write "Page " & Session(tHeaderName & "_AbsolutePage") & " of "
                    Else
                        Response.Write "Record " & Session(tHeaderName & "_AbsolutePage") & " of "
                    End If
                End If
%>
				Result Pages: 
<%
For i = 1 to rsReviews.PageCount
	If Not i > 20 Then
		If CInt(i) = CInt(Session("rsReviews_AbsolutePage"))Then
			Response.Write "<b>" & i & "</b>&nbsp;"
		Else

			Response.Write "<a class=sidenav href=reviewadmin.asp?rsReviews_PagingMove=" & i
			Response.Write "&SortCol=" & Trim(Request("SortCol"))
			Response.Write "&S1=" & S1 & "&S2=" & S2 & "&S3=" & S3
			Response.Write ">" & i & "</a>&nbsp;"
		End If
	Else
		If Not i > 21 Then

			Response.Write "&nbsp;&nbsp;&nbsp;<a class=sidenav href=reviewadmin.asp?rsReviews_PagingMove=&gt;"
			Response.Write "&SortCol=" & Trim(Request("SortCol"))
			Response.Write "&S1=" & S1 & "&S2=" & S2 & "&S3=" & S3
			Response.Write ">[Next>>]</a>"
		End If
	End If
Next
%>
					</font></td>
				</tr>
				<TR>
            	<TD WIDTH=100% >&nbsp;</td>
				</tr>

				<TR>
            	<TD WIDTH=100% >
                	<P ALIGN=<%= tBarAlignment %> >
                
                  <INPUT class="funkybutton" TYPE="Submit" NAME="<%= tHeaderName & "_PagingMove" %>" VALUE="   &lt;&lt;   ">
                  <INPUT class="funkybutton" TYPE="Submit" NAME="<%= tHeaderName & "_PagingMove" %>" VALUE="   &lt;    ">
                  <INPUT class="funkybutton" TYPE="Submit" NAME="<%= tHeaderName & "_PagingMove" %>" VALUE="    &gt;   ">
                  <% 'If fSupportsBookmarks Then %>
                      <INPUT class="funkybutton" TYPE="Submit" NAME="<%= tHeaderName & "_PagingMove" %>" VALUE="   &gt;&gt;   ">
                  <% 'End If %>
					   <input class="funkybutton" TYPE="SUBMIT" NAME="PageAction" VALUE="Add New">
                	</P>
            	</TD>
        		</TR>
			</TABLE>
<%
    Else
%>
			<TABLE WIDTH=100% >
				<TR>
					<TD WIDTH=100%>&nbsp;&nbsp;No Records Found</td>	
				</tr>
				<TR>
					<TD WIDTH=100%>&nbsp;</td>	
				</tr>
				<TR>
					<TD WIDTH=100%><input class="funkybutton" TYPE="SUBMIT" NAME="PageAction" VALUE="Add New"></td>	
				</tr>
			</table>
<%
    End If
Else
%>
			<TABLE WIDTH=100% >
				<TR>
					<TD WIDTH=100%>&nbsp;&nbsp;No Records Found</td>	
				</tr>
				<TR>
					<TD WIDTH=100%>&nbsp;</td>	
				</tr>
				<TR>
					<TD WIDTH=100%><input class="funkybutton" TYPE="SUBMIT" NAME="PageAction" VALUE="Add New"></td>	
				</tr>
			</table>
<%
End If
rsReviews.close
cnn.Close
%>
                

<% 
If fNeedRecordset Then
	Set Session("rsReviews_Recordset") = rsReviews
End If 


%>

</form>

		</td>
	</tr>
</table>

					</td>
					<td height="55">&nbsp;</td>
				</tr>
				<tr>
					<td width="75" height="78">&nbsp;</td>
					<td height="78">&nbsp;</td>
					<td width="75" height="78">&nbsp;</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="47"></td>
	</tr>
</table>

</body>
</html>